/*
 * Copyright (c) 2023, Qualcomm Innovation Center, Inc. All rights reserved.
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef CONFIG_TO_FEATURE_H
#define CONFIG_TO_FEATURE_H

#ifdef CONFIG_CFG80211_SINGLE_NETDEV_MULTI_LINK_SUPPORT
#define CFG80211_SINGLE_NETDEV_MULTI_LINK_SUPPORT (1)
#endif

#ifdef CONFIG_CFG80211_MLO_KEY_OPERATION_SUPPORT
#define CFG80211_MLO_KEY_OPERATION_SUPPORT (1)
#endif

#ifdef CONFIG_CFG80211_LINK_STA_PARAMS_PRESENT
#define CFG80211_LINK_STA_PARAMS_PRESENT (1)
#endif

#ifdef CONFIG_CFG80211_RU_PUNCT_SUPPORT
#define CFG80211_RU_PUNCT_SUPPORT (1)
#endif

#ifdef CONFIG_CFG80211_RU_PUNCT_NOTIFY
#define CFG80211_RU_PUNCT_NOTIFY (1)
#endif

#ifdef CONFIG_CFG80211_EXT_FEATURE_AUTH_AND_DEAUTH_RANDOM_TA
#define CFG80211_EXT_FEATURE_AUTH_AND_DEAUTH_RANDOM_TA (1)
#endif

#ifdef CONFIG_CFG80211_EXTERNAL_AUTH_MLO_SUPPORT
#define CFG80211_EXTERNAL_AUTH_MLO_SUPPORT (1)
#endif

#ifdef CONFIG_CFG80211_EXT_FEATURE_SECURE_NAN
#define CFG80211_EXT_FEATURE_SECURE_NAN (1)
#endif

#ifdef CONFIG_CFG80211_MLD_AP_STA_CONNECT_UPSTREAM_SUPPORT
#define CFG80211_MLD_AP_STA_CONNECT_UPSTREAM_SUPPORT (1)
#endif

#ifdef CONFIG_CFG80211_SET_KEY_WITH_SRC_MAC
#define CFG80211_SET_KEY_WITH_SRC_MAC (1)
#endif

#ifdef CONFIG_CFG80211_KEY_INSTALL_SUPPORT_ON_WDEV
#define CFG80211_KEY_INSTALL_SUPPORT_ON_WDEV (1)
#endif

#ifdef CONFIG_ONE_MSI_VECTOR
#define WLAN_ONE_MSI_VECTOR (1)
#endif

#ifdef CONFIG_DSC_DEBUG
#define WLAN_DSC_DEBUG (1)
#endif

#ifdef CONFIG_DSC_TEST
#define WLAN_DSC_TEST (1)
#endif

#ifdef CONFIG_BERYLLIUM
#define DP_OFFLOAD_FRAME_WITH_SW_EXCEPTION (1)
#endif

#ifdef CONFIG_TALLOC_DEBUG
#define WLAN_TALLOC_DEBUG (1)
#endif

#ifdef CONFIG_QDF_TEST
#define WLAN_DELAYED_WORK_TEST (1)
#endif

#ifdef CONFIG_QDF_TEST
#define WLAN_HASHTABLE_TEST (1)
#endif

#ifdef CONFIG_QDF_TEST
#define WLAN_PERIODIC_WORK_TEST (1)
#endif

#ifdef CONFIG_QDF_TEST
#define WLAN_PTR_HASH_TEST (1)
#endif

#ifdef CONFIG_QDF_TEST
#define WLAN_SLIST_TEST (1)
#endif

#ifdef CONFIG_QDF_TEST
#define WLAN_TALLOC_TEST (1)
#endif

#ifdef CONFIG_QDF_TEST
#define WLAN_TRACKER_TEST (1)
#endif

#ifdef CONFIG_QDF_TEST
#define WLAN_TYPES_TEST (1)
#endif

#ifdef CONFIG_WLAN_HANG_EVENT
#define WLAN_HANG_EVENT (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_PRE_CAC
#define PRE_CAC_SUPPORT (1)
#endif

#ifdef CONFIG_WIFI_POS_PASN
#define WLAN_FEATURE_RTT_11AZ_SUPPORT (1)
#endif

#ifdef CONFIG_DIRECT_BUF_RX_ENABLE
#ifdef CONFIG_DBR_HOLD_LARGE_MEM
#define DBR_HOLD_LARGE_MEM (1)
#endif
#endif
#ifdef CONFIG_DP_TRAFFIC_END_INDICATION
#define DP_TRAFFIC_END_INDICATION (1)
#endif

#ifdef CONFIG_THERMAL_STATS_SUPPORT
#define THERMAL_STATS_SUPPORT (1)
#endif

#ifdef CONFIG_PTT_SOCK_SVC_ENABLE
#define PTT_SOCK_SVC_ENABLE (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_WAPI
#define FEATURE_WLAN_WAPI (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_WAPI
#define ATH_SUPPORT_WAPI (1)
#endif

#ifdef CONFIG_SOFTAP_CHANNEL_RANGE
#define SOFTAP_CHANNEL_RANGE (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_SCAN_PNO
#define FEATURE_WLAN_SCAN_PNO (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_PACKET_FILTERING
#define WLAN_FEATURE_PACKET_FILTERING (1)
#endif

#ifdef CONFIG_DHCP_SERVER_OFFLOAD
#define DHCP_SERVER_OFFLOAD (1)
#endif

#ifdef CONFIG_WLAN_NS_OFFLOAD
#define WLAN_NS_OFFLOAD (1)
#endif

#ifdef CONFIG_WLAN_DYNAMIC_ARP_NS_OFFLOAD
#define FEATURE_WLAN_DYNAMIC_ARP_NS_OFFLOAD (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_ICMP_OFFLOAD
#define WLAN_FEATURE_ICMP_OFFLOAD (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_RA_FILTERING
#define FEATURE_WLAN_RA_FILTERING (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_LPHB
#define FEATURE_WLAN_LPHB (1)
#endif

#ifdef CONFIG_QCA_SUPPORT_TX_THROTTLE
#define QCA_SUPPORT_TX_THROTTLE (1)
#endif

#ifdef CONFIG_WMI_INTERFACE_EVENT_LOGGING
#define WMI_INTERFACE_EVENT_LOGGING (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_LINK_LAYER_STATS
#define WLAN_FEATURE_LINK_LAYER_STATS (1)
#endif

#ifdef CONFIG_FEATURE_CLUB_LL_STATS_AND_GET_STATION
#define FEATURE_CLUB_LL_STATS_AND_GET_STATION (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_MIB_STATS
#define WLAN_FEATURE_MIB_STATS (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_EXTSCAN
#define FEATURE_WLAN_EXTSCAN (1)
#endif

#ifdef CONFIG_WLAN_PMO_ENABLE
#define WLAN_PMO_ENABLE (1)
#endif

#ifdef CONFIG_CONVERGED_P2P_ENABLE
#define CONVERGED_P2P_ENABLE (1)
#endif

#ifdef CONFIG_WLAN_POLICY_MGR_ENABLE
#define WLAN_POLICY_MGR_ENABLE (1)
#endif

#ifdef CONFIG_FEATURE_DENYLIST_MGR
#define FEATURE_DENYLIST_MGR (1)
#endif

#ifdef CONFIG_WAPI_BIG_ENDIAN
#define FEATURE_WAPI_BIG_ENDIAN (1)
#endif

#ifdef CONFIG_SUPPORT_11AX
#define SUPPORT_11AX (1)
#endif

#ifdef CONFIG_WLAN_CONV_SPECTRAL_ENABLE
#define WLAN_CONV_SPECTRAL_ENABLE (1)
#endif

#ifdef CONFIG_WLAN_CFR_ENABLE
#define WLAN_CFR_ENABLE (1)
#endif

#ifdef CONFIG_WLAN_ENH_CFR_ENABLE
#define WLAN_ENH_CFR_ENABLE (1)
#endif

#ifdef CONFIG_WLAN_ENH_CFR_ENABLE
#define WLAN_CFR_PM (1)
#endif

#ifdef CONFIG_WLAN_CFR_ADRASTEA
#define WLAN_CFR_ADRASTEA (1)
#endif

#ifdef CONFIG_WLAN_CFR_DBR
#define WLAN_CFR_DBR (1)
#endif

#ifdef CONFIG_WLAN_CFR_ENABLE
#define CFR_USE_FIXED_FOLDER (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_MEDIUM_ASSESS
#define WLAN_FEATURE_MEDIUM_ASSESS (1)
#endif

#ifdef CONFIG_FEATURE_RADAR_HISTORY
#define FEATURE_RADAR_HISTORY (1)
#endif

#ifdef CONFIG_DIRECT_BUF_RX_ENABLE
#define DIRECT_BUF_RX_ENABLE (1)
#endif

#ifdef CONFIG_WMI_DBR_SUPPORT
#define WMI_DBR_SUPPORT (1)
#endif

#ifndef CONFIG_CNSS_QCA6750
#ifdef CONFIG_DIRECT_BUF_RX_ENABLE
#define DBR_MULTI_SRNG_ENABLE (1)
#endif
#endif

#ifndef CONFIG_CNSS_WCN6450
#ifdef CONFIG_DIRECT_BUF_RX_ENABLE
#define DBR_MULTI_SRNG_ENABLE (1)
#endif
#endif

#ifdef CONFIG_WMI_CMD_STRINGS
#define WMI_CMD_STRINGS (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_TWT
#define WLAN_SUPPORT_TWT (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_11BE_MLO
#ifdef CONFIG_DP_USE_REDUCED_PEER_ID_FIELD_WIDTH
#define DP_USE_REDUCED_PEER_ID_FIELD_WIDTH (1)
#endif
#endif

#ifdef CONFIG_WLAN_TWT_SAP_STA_COUNT
#define WLAN_TWT_SAP_STA_COUNT (32)
#endif

#ifdef CONFIG_WLAN_TWT_SAP_PDEV_COUNT
#define WLAN_TWT_AP_PDEV_COUNT_NUM_PHY (1)
#endif

#ifdef CONFIG_WLAN_DISABLE_EXPORT_SYMBOL
#define WLAN_DISABLE_EXPORT_SYMBOL (1)
#endif

#ifdef CONFIG_WIFI_POS_CONVERGED
#define WIFI_POS_CONVERGED (1)
#endif

#ifdef CONFIG_WLAN_TWT_CONVERGED
#define WLAN_TWT_CONV_SUPPORTED (1)
#endif

#ifdef CONFIG_WIFI_POS_LEGACY
#define FEATURE_OEM_DATA_SUPPORT (1)
#endif

#ifdef CONFIG_FEATURE_HTC_CREDIT_HISTORY
#define FEATURE_HTC_CREDIT_HISTORY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_P2P_DEBUG
#define WLAN_FEATURE_P2P_DEBUG (1)
#endif

#ifdef CONFIG_WLAN_WEXT_SUPPORT_ENABLE
#define WLAN_WEXT_SUPPORT_ENABLE (1)
#endif

#ifdef CONFIG_WLAN_LOGGING_SOCK_SVC
#define WLAN_LOGGING_SOCK_SVC_ENABLE (1)
#endif

#ifdef CONFIG_WLAN_LOGGING_BUFFERS_DYNAMICALLY
#define WLAN_LOGGING_BUFFERS_DYNAMICALLY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_FILS
#define WLAN_FEATURE_FILS_SK (1)
#endif

#ifdef CONFIG_CP_STATS
#define WLAN_SUPPORT_INFRA_CTRL_PATH_STATS (1)
#endif

#ifdef CONFIG_CP_STATS
#define QCA_SUPPORT_CP_STATS (1)
#endif

#ifdef CONFIG_CP_STATS
#define QCA_SUPPORT_MC_CP_STATS (1)
#endif

#ifdef CONFIG_CP_STATS
#define WLAN_SUPPORT_LEGACY_CP_STATS_HANDLERS (1)
#endif

#ifdef CONFIG_DCS
#define DCS_INTERFERENCE_DETECTION (1)
#endif

#ifdef CONFIG_FEATURE_INTEROP_ISSUES_AP
#define WLAN_FEATURE_INTEROP_ISSUES_AP (1)
#endif

#ifdef CONFIG_FEATURE_MEMDUMP_ENABLE
#define WLAN_FEATURE_MEMDUMP_ENABLE (1)
#endif

#ifdef CONFIG_FEATURE_FW_LOG_PARSING
#define FEATURE_FW_LOG_PARSING (1)
#endif

#ifdef CONFIG_FEATURE_OEM_DATA
#define FEATURE_OEM_DATA (1)
#endif

#ifdef CONFIG_FEATURE_MOTION_DETECTION
#define WLAN_FEATURE_MOTION_DETECTION (1)
#endif

#ifdef CONFIG_WLAN_FW_OFFLOAD
#define WLAN_FW_OFFLOAD (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_ELNA
#define WLAN_FEATURE_ELNA (1)
#endif

#ifdef CONFIG_FEATURE_COEX
#define FEATURE_COEX (1)
#endif

#ifdef CONFIG_HOST_WAKEUP_OVER_QMI
#define HOST_WAKEUP_OVER_QMI (1)
#endif

#ifdef CONFIG_DISABLE_STATUS_RING_TIMER_WAR
#define WLAN_DISABLE_STATUS_RING_TIMER_WAR (1)
#endif

#ifdef CONFIG_CE_DISABLE_SRNG_TIMER_IRQ
#define WLAN_WAR_CE_DISABLE_SRNG_TIMER_IRQ (1)
#endif

#ifdef CONFIG_PLD_IPCI_ICNSS_FLAG
#define CONFIG_PLD_IPCI_ICNSS (1)
#endif

#ifdef CONFIG_PLD_SDIO_CNSS_FLAG
#define CONFIG_PLD_SDIO_CNSS (1)
#endif

#ifdef CONFIG_WLAN_RESIDENT_DRIVER
#define FEATURE_WLAN_RESIDENT_DRIVER (1)
#endif

#ifdef CONFIG_FEATURE_GPIO_CFG
#define WLAN_FEATURE_GPIO_CFG (1)
#endif

#ifdef CONFIG_FEATURE_BUS_BANDWIDTH_MGR
#define FEATURE_BUS_BANDWIDTH_MGR (1)
#endif

#ifdef CONFIG_DP_BE_WAR
#define DP_BE_WAR (1)
#endif

#ifdef CONFIG_IPCIE_FW_SIM
#define CONFIG_PLD_IPCIE_FW_SIM (1)
#endif

#ifdef CONFIG_PLD_PCIE_CNSS_FLAG
#ifdef CONFIG_PCIE_FW_SIM
#define CONFIG_PLD_PCIE_FW_SIM (1)
#else
#define CONFIG_PLD_PCIE_CNSS (1)
#endif
#endif
#ifdef CONFIG_PLD_PCIE_INIT_FLAG
#define CONFIG_PLD_PCIE_INIT (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DP_RX_THREADS
#define FEATURE_WLAN_DP_RX_THREADS (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_RX_SOFTIRQ_TIME_LIMIT
#define WLAN_FEATURE_RX_SOFTIRQ_TIME_LIMIT (1)
#endif

#ifdef CONFIG_FEATURE_HIF_LATENCY_PROFILE_ENABLE
#define HIF_LATENCY_PROFILE_ENABLE (1)
#endif

#ifdef CONFIG_FEATURE_HAL_DELAYED_REG_WRITE
#define FEATURE_HAL_DELAYED_REG_WRITE (1)
#endif

#ifdef CONFIG_FEATURE_HAL_RECORD_SUSPEND_WRITE
#define FEATURE_HAL_RECORD_SUSPEND_WRITE (1)
#endif

#ifdef CONFIG_QCA_OL_DP_SRNG_LOCK_LESS_ACCESS
#define QCA_OL_DP_SRNG_LOCK_LESS_ACCESS (1)
#endif

#ifdef CONFIG_SHADOW_WRITE_DELAY
#define SHADOW_WRITE_DELAY (1)
#endif

#ifdef CONFIG_WLAN_RECORD_RX_PADDR
#define HIF_RECORD_RX_PADDR (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_TIME_SYNC_FTM
#define FEATURE_WLAN_TIME_SYNC_FTM (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_LRO_CTX_IN_CB
#define WLAN_FEATURE_LRO_CTX_IN_CB (1)
#endif

#ifdef CONFIG_FEATURE_MONITOR_MODE_SUPPORT
#define FEATURE_MONITOR_MODE_SUPPORT (1)
#ifdef CONFIG_DP_CON_MON_MSI_ENABLED
#define DP_CON_MON_MSI_ENABLED (1)
#endif
#ifdef CONFIG_WLAN_RX_MON_PARSE_CMN_USER_INFO
#define WLAN_RX_MON_PARSE_CMN_USER_INFO (1)
#endif
#ifdef CONFIG_DP_CON_MON_MSI_SKIP_SET
#define DP_CON_MON_MSI_SKIP_SET (1)
#endif
#ifdef CONFIG_QCA_WIFI_MONITOR_MODE_NO_MSDU_START_TLV_SUPPORT
#define QCA_WIFI_MONITOR_MODE_NO_MSDU_START_TLV_SUPPORT (1)
#endif
#else
#define DISABLE_MON_CONFIG (1)
#endif

#ifdef CONFIG_NL80211_TESTMODE
#define WLAN_NL80211_TESTMODE (1)
#endif

#ifdef CONFIG_BUS_AUTO_SUSPEND
#define FEATURE_RUNTIME_PM (1)
#endif

#if defined(CONFIG_ICNSS) || defined(CONFIG_ICNSS_MODULE)
#ifdef CONFIG_SNOC_FW_SIM
#define CONFIG_PLD_SNOC_FW_SIM (1)
#else
#define CONFIG_PLD_SNOC_ICNSS (1)
#endif
#endif

#ifdef CONFIG_PLD_SNOC_ICNSS_FLAG
#define CONFIG_PLD_SNOC_ICNSS (1)
#endif

#ifdef CONFIG_ICNSS2_HELIUM
#define CONFIG_PLD_SNOC_ICNSS2 (1)
#endif

#ifdef CONFIG_WIFI_3_0_ADRASTEA
#define QCA_WIFI_3_0_ADRASTEA (1)
#endif

#ifdef CONFIG_WIFI_3_0_ADRASTEA
#define QCA_WIFI_3_0 (1)
#endif

#ifdef CONFIG_ADRASTEA_SHADOW_REGISTERS
#define ADRASTEA_SHADOW_REGISTERS (1)
#endif

#ifdef CONFIG_ADRASTEA_RRI_ON_DDR
#define ADRASTEA_RRI_ON_DDR (1)
#endif

#ifndef CONFIG_QMI_SUPPORT
#define CONFIG_BYPASS_QMI (1)
#endif

#ifdef CONFIG_WLAN_FASTPATH
#define WLAN_FEATURE_FASTPATH (1)
#endif

#ifdef CONFIG_FEATURE_PKTLOG
#define FEATURE_PKTLOG (1)
#endif

#ifdef CONFIG_CONNECTIVITY_PKTLOG
#define CONNECTIVITY_PKTLOG (1)
#endif

#ifdef CONFIG_WLAN_NAPI
#define FEATURE_NAPI (1)
#define HIF_IRQ_AFFINITY (1)
#ifdef CONFIG_WLAN_NAPI_DEBUG
#define FEATURE_NAPI_DEBUG (1)
#endif
#endif

#if defined(CONFIG_ARCH_MSM) || defined(CONFIG_ARCH_QCOM)
#define MSM_PLATFORM (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DP_BUS_BANDWIDTH
#define WLAN_FEATURE_DP_BUS_BANDWIDTH (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_PERIODIC_STA_STATS
#define WLAN_FEATURE_PERIODIC_STA_STATS (1)
#endif

#ifdef CONFIG_WLAN_TX_FLOW_CONTROL_V2
#define QCA_LL_TX_FLOW_CONTROL_V2 (1)
#endif

#ifdef CONFIG_WLAN_TX_FLOW_CONTROL_V2
#define QCA_LL_TX_FLOW_GLOBAL_MGMT_POOL (1)
#endif

#ifdef CONFIG_WLAN_TX_FLOW_CONTROL_LEGACY
#define QCA_LL_LEGACY_TX_FLOW_CONTROL (1)
#endif

#ifdef CONFIG_WLAN_PDEV_TX_FLOW_CONTROL
#define QCA_LL_PDEV_TX_FLOW_CONTROL (1)
#endif

#ifdef CONFIG_WLAN_DEBUG_VERSION
#define WLAN_DEBUG (1)
#ifdef CONFIG_TRACE_RECORD_FEATURE
#define TRACE_RECORD (1)
#define LIM_TRACE_RECORD (1)
#define SME_TRACE_RECORD (1)
#define HDD_TRACE_RECORD (1)

#endif
#endif
#ifdef CONFIG_UNIT_TEST
#define WLAN_UNIT_TEST (1)
#endif
#ifdef CONFIG_WLAN_SYSFS_RTS_CTS
#define WLAN_SYSFS_RTS_CTS (1)
#endif
#ifdef CONFIG_WLAN_SYSFS_DP_TRACE
#define WLAN_SYSFS_DP_TRACE (1)
#endif
#ifdef CONFIG_WLAN_SYSFS_STATS
#define WLAN_SYSFS_STATS (1)
#endif
#ifdef CONFIG_FEATURE_UNIT_TEST_SUSPEND
#define WLAN_SUSPEND_RESUME_TEST (1)
#endif
#ifdef CONFIG_FEATURE_WLM_STATS
#define FEATURE_WLM_STATS (1)
#endif
#ifdef CONFIG_WLAN_SYSFS_DCM
#define WLAN_SYSFS_DCM (1)
#endif
#ifdef CONFIG_WLAN_SYSFS_HE_BSS_COLOR
#define WLAN_SYSFS_HE_BSS_COLOR (1)
#endif
#ifdef CONFIG_WLAN_SYSFS_STA_INFO
#define WLAN_SYSFS_STA_INFO (1)
#endif
#ifdef CONFIG_WLAN_THERMAL_MULTI_CLIENT_SUPPORT
#define FEATURE_WPSS_THERMAL_MITIGATION (1)
#endif
#ifdef CONFIG_WLAN_SYSFS_DP_STATS
#define WLAN_SYSFS_DP_STATS (1)
#endif
#ifdef CONFIG_WIFI_MONITOR_SUPPORT
#define WIFI_MONITOR_SUPPORT (1)
#endif

#ifdef CONFIG_QCA_MONITOR_PKT_SUPPORT
#define QCA_MONITOR_PKT_SUPPORT (1)
#endif

#ifdef CONFIG_MONITOR_MODULARIZED_ENABLE
#define MONITOR_MODULARIZED_ENABLE (1)
#endif

#ifdef CONFIG_WLAN_PDEV_VDEV_SEND_MULTI_PARAM
#define WLAN_PDEV_VDEV_SEND_MULTI_PARAM (1)
#endif

#ifdef CONFIG_WLAN_SYSFS_LOG_BUFFER
#define FEATURE_SYSFS_LOG_BUFFER (1)
#endif

#ifdef CONFIG_ENABLE_VALLOC_REPLACE_MALLOC
#define ENABLE_VALLOC_REPLACE_MALLOC (1)
#endif

#ifdef CONFIG_LEAK_DETECTION
#define CONFIG_HALT_KMEMLEAK (1)
#define MEMORY_DEBUG (1)
#define NBUF_MEMORY_DEBUG (1)
#define NBUF_MAP_UNMAP_DEBUG (1)
#define TIMER_MANAGER (1)
#define WLAN_DELAYED_WORK_DEBUG (1)
#define WLAN_WAKE_LOCK_DEBUG (1)
#define WLAN_PERIODIC_WORK_DEBUG (1)

#endif

#ifdef CONFIG_QCOM_VOWIFI_11R
#define KERNEL_SUPPORT_11R_CFG80211 (1)
#define USE_80211_WMMTSPEC_FOR_RIC (1)
#endif

#ifdef CONFIG_QCOM_ESE
#define FEATURE_WLAN_ESE (1)
#endif

#ifdef CONFIG_QCOM_TDLS
#define FEATURE_WLAN_TDLS (1)
#endif

#ifdef CONFIG_QCOM_TDLS
#define WLAN_FEATURE_TDLS_CONCURRENCIES (1)
#endif

#ifdef CONFIG_WLAN_SYSFS_TDLS_PEERS
#define WLAN_SYSFS_TDLS_PEERS (1)
#endif

#ifdef CONFIG_WLAN_SYSFS_RANGE_EXT
#define WLAN_SYSFS_RANGE_EXT (1)
#endif

#ifdef CONFIG_QCACLD_WLAN_LFR2
#define WLAN_FEATURE_PREAUTH_ENABLE (1)
#endif

#ifdef CONFIG_CM_UTF_ENABLE
#define FEATURE_CM_UTF_ENABLE (1)
#endif

#ifdef CONFIG_QCACLD_WLAN_LFR3
#define WLAN_FEATURE_ROAM_OFFLOAD (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_ROAM_INFO_STATS
#define WLAN_FEATURE_ROAM_INFO_STATS (1)
#endif

#ifdef CONFIG_QCACLD_WLAN_CONNECTIVITY_LOGGING
#define WLAN_FEATURE_CONNECTIVITY_LOGGING (1)
#endif

#ifdef CONFIG_QCACLD_WLAN_CONNECTIVITY_DIAG_EVENT
#define CONNECTIVITY_DIAG_EVENT (1)
#endif

#ifdef CONFIG_OFDM_SCRAMBLER_SEED
#define WLAN_FEATURE_OFDM_SCRAMBLER_SEED (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_MBSSID
#define WLAN_FEATURE_MBSSID (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_P2P_P2P_STA
#define WLAN_FEATURE_P2P_P2P_STA (1)
#endif

#if defined(CONFIG_CNSS_GENL) || defined(CONFIG_CNSS_GENL_MODULE)
#define CNSS_GENL (1)
#endif

#if defined(CONFIG_CNSS_UTILS) || defined(CONFIG_CNSS_UTILS_MODULE)
#define CNSS_UTILS (1)
#endif

#if defined(CONFIG_WCNSS_MEM_PRE_ALLOC) || defined(CONFIG_WCNSS_MEM_PRE_ALLOC_MODULE)
#define CNSS_MEM_PRE_ALLOC (1)
#endif

#ifdef CONFIG_QCACLD_WLAN_LFR2
#define WLAN_FEATURE_HOST_ROAM (1)
#endif

#ifdef CONFIG_FEATURE_ROAM_DEBUG
#define FEATURE_ROAM_DEBUG (1)
#endif

#ifdef CONFIG_WLAN_POWER_DEBUG
#define WLAN_POWER_DEBUG (1)
#endif

#ifdef CONFIG_WLAN_MWS_INFO_DEBUGFS
#define WLAN_MWS_INFO_DEBUGFS (1)
#endif

#ifdef CONFIG_WLAN_DEBUG_LINK_VOTE
#define WLAN_DEBUG_LINK_VOTE (1)
#endif

#ifdef CONFIG_WLAN_OBJMGR_DEBUG
#define WLAN_OBJMGR_DEBUG (1)
#endif

#ifdef CONFIG_WLAN_OBJMGR_DEBUG
#define WLAN_OBJMGR_REF_ID_DEBUG (1)
#endif

#ifdef CONFIG_WLAN_OBJMGR_REF_ID_TRACE
#define WLAN_OBJMGR_REF_ID_TRACE (1)
#endif

#ifdef CONFIG_FEATURE_DELAYED_PEER_OBJ_DESTROY
#define FEATURE_DELAYED_PEER_OBJ_DESTROY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_SAE
#define WLAN_FEATURE_SAE (1)
#endif

#ifdef CONFIG_WLAN_DIAG_VERSION
#define FEATURE_WLAN_DIAG_SUPPORT (1)
#define FEATURE_WLAN_DIAG_SUPPORT_CSR (1)
#define FEATURE_WLAN_DIAG_SUPPORT_LIM (1)
#ifdef CONFIG_HIF_PCI
#define CONFIG_ATH_PROCFS_DIAG_SUPPORT (1)
#endif
#ifdef CONFIG_HIF_IPCI
#define CONFIG_ATH_PROCFS_DIAG_SUPPORT (1)
#endif
#endif
#ifdef CONFIG_HIF_USB
#define CONFIG_ATH_PROCFS_DIAG_SUPPORT (1)
#define QCA_SUPPORT_OL_RX_REORDER_TIMEOUT (1)
#define CONFIG_ATH_PCIE_MAX_PERF (0)
#define CONFIG_ATH_PCIE_AWAKE_WHILE_DRIVER_LOAD (0)
#define CONFIG_DISABLE_CDC_MAX_PERF_WAR (0)
#endif

#ifdef CONFIG_QCA_SUPPORT_TXRX_DRIVER_TCP_DEL_ACK
#define QCA_SUPPORT_TXRX_DRIVER_TCP_DEL_ACK (1)
#endif

#ifdef CONFIG_QCA_TXDESC_SANITY_CHECKS
#define QCA_SUPPORT_TXDESC_SANITY_CHECKS (1)
#endif

#ifdef CONFIG_QCOM_LTE_COEX
#define FEATURE_WLAN_CH_AVOID (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_LPSS
#define WLAN_FEATURE_LPSS (1)
#endif

#ifdef CONFIG_DESC_DUP_DETECT_DEBUG
#define DESC_DUP_DETECT_DEBUG (1)
#endif

#ifdef CONFIG_DEBUG_RX_RING_BUFFER
#define DEBUG_RX_RING_BUFFER (1)
#endif

#ifdef CONFIG_DESC_TIMESTAMP_DEBUG_INFO
#define DESC_TIMESTAMP_DEBUG_INFO (1)
#endif

#ifdef CONFIG_POWER_MANAGEMENT_OFFLOAD
#define WLAN_POWER_MANAGEMENT_OFFLOAD (1)
#endif

#ifdef CONFIG_WLAN_LOG_FATAL
#define WLAN_LOG_FATAL (1)
#endif

#ifdef CONFIG_WLAN_LOG_ERROR
#define WLAN_LOG_ERROR (1)
#endif

#ifdef CONFIG_WLAN_LOG_WARN
#define WLAN_LOG_WARN (1)
#endif

#ifdef CONFIG_WLAN_LOG_INFO
#define WLAN_LOG_INFO (1)
#endif

#ifdef CONFIG_WLAN_LOG_DEBUG
#define WLAN_LOG_DEBUG (1)
#endif

#ifdef CONFIG_WLAN_LOG_ENTER
#define WLAN_LOG_ENTER (1)
#endif

#ifdef CONFIG_WLAN_LOG_EXIT
#define WLAN_LOG_EXIT (1)
#endif

#ifdef CONFIG_FEATURE_STATS_EXT
#define WLAN_FEATURE_STATS_EXT (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_NAN
#define WLAN_FEATURE_NAN (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_SON
#define WLAN_FEATURE_SON (1)
#endif

#ifdef CONFIG_NDP_SAP_CONCURRENCY_ENABLE
#define NDP_SAP_CONCURRENCY_ENABLE (1)
#endif

#ifdef CONFIG_DFS_FCC_TYPE4_DURATION_CHECK
#define DFS_FCC_TYPE4_DURATION_CHECK (1)
#endif

#ifdef CONFIG_WLAN_SYSFS
#define WLAN_SYSFS (1)
#endif

#ifdef CONFIG_WLAN_SYSFS_CHANNEL
#define WLAN_SYSFS_CHANNEL (1)
#endif

#ifdef CONFIG_FEATURE_BECN_STATS
#define WLAN_FEATURE_BEACON_RECEPTION_STATS (1)
#endif

#ifdef CONFIG_WLAN_SYSFS_CONNECT_INFO
#define WLAN_SYSFS_CONNECT_INFO (1)
#endif

#ifdef CONFIG_WLAN_SYSFS_EHT_RATE
#define WLAN_SYSFS_EHT_RATE (1)
#endif

#ifdef CONFIG_RX_PERFORMANCE
#define RX_PERFORMANCE (1)
#endif

#ifdef CONFIG_MULTI_IF_LOG
#define MULTI_IF_LOG (1)
#endif

#ifdef CONFIG_SLUB_MEM_OPTIMIZE
#define SLUB_MEM_OPTIMIZE (1)
#endif

#ifdef CONFIG_ARCH_SDXBAAGHA
#ifdef CONFIG_WLAN_MEMORY_OPT
#define WLAN_MEMORY_OPT (1)
#endif
#endif

#ifdef CONFIG_DFS_PRI_MULTIPLIER
#define DFS_PRI_MULTIPLIER (1)
#endif

#ifdef CONFIG_DFS_OVERRIDE_RF_THRESHOLD
#define DFS_OVERRIDE_RF_THRESHOLD (1)
#endif

#ifdef CONFIG_ATH_PERF_PWR_OFFLOAD
#define ATH_PERF_PWR_OFFLOAD (1)
#endif

#ifdef CONFIG_REMOVE_PKT_LOG
#define REMOVE_PKT_LOG (1)
#endif

#ifdef CONFIG_ATH_11AC_TXCOMPACT
#define ATH_11AC_TXCOMPACT (1)
#endif

#ifdef CONFIG_HIF_PCI
#define HIF_PCI (1)
#endif

#ifdef CONFIG_HIF_IPCI
#define HIF_IPCI (1)
#endif

#ifdef CONFIG_HIF_SNOC
#define HIF_SNOC (1)
#endif

#ifdef CONFIG_HL_DP_SUPPORT
#define CONFIG_HL_SUPPORT (1)
#endif

#ifdef CONFIG_HL_DP_SUPPORT
#define WLAN_PARTIAL_REORDER_OFFLOAD (1)
#endif

#ifdef CONFIG_HL_DP_SUPPORT
#define QCA_COMPUTE_TX_DELAY (1)
#endif

#ifdef CONFIG_HL_DP_SUPPORT
#define QCA_COMPUTE_TX_DELAY_PER_TID (1)
#endif

#ifdef CONFIG_LL_DP_SUPPORT
#define WLAN_FULL_REORDER_OFFLOAD (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_BIG_DATA_STATS
#define WLAN_FEATURE_BIG_DATA_STATS (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_11AX
#ifdef CONFIG_WLAN_FEATURE_SR
#define WLAN_FEATURE_SR (1)
#endif
#ifdef CONFIG_OBSS_PD
#define OBSS_PD (1)
#endif
#endif

#ifdef CONFIG_WLAN_FEATURE_IGMP_OFFLOAD
#define WLAN_FEATURE_IGMP_OFFLOAD (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_GET_USABLE_CHAN_LIST
#define WLAN_FEATURE_GET_USABLE_CHAN_LIST (1)
#endif

#ifdef CONFIG_PCIE_GEN_SWITCH
#define PCIE_GEN_SWITCH (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_WOW_PULSE
#define WLAN_FEATURE_WOW_PULSE (1)
#endif

#ifdef CONFIG_QCA_WIFI_SDIO
#define CONFIG_AR6320_SUPPORT (1)
#define SDIO_3_0 (1)
#define HIF_SDIO (1)
#define CONFIG_DISABLE_CDC_MAX_PERF_WAR (0)
#define CONFIG_ATH_PROCFS_DIAG_SUPPORT (1)
#define HIF_MBOX_SLEEP_WAR (1)
#define DEBUG_HL_LOGGING (1)
#define QCA_BAD_PEER_TX_FLOW_CL (1)
#define CONFIG_SDIO (1)
#define FEATURE_WLAN_FORCE_SAP_SCC (1)

#ifdef CONFIG_SDIO_TRANSFER
#define CONFIG_SDIO_TRANSFER_ADMA (1)
#else
#define CONFIG_SDIO_TRANSFER_MAILBOX (1)
#endif
#endif
#ifdef CONFIG_WLAN_FEATURE_DSRC
#define WLAN_FEATURE_DSRC (1)
#ifdef CONFIG_OCB_UT_FRAMEWORK
#define WLAN_OCB_UT (1)
#endif
#elif defined CONFIG_WLAN_REG_AUTO
#define WLAN_REG_AUTO (1)
#endif

#ifdef CONFIG_FEATURE_SKB_PRE_ALLOC
#define FEATURE_SKB_PRE_ALLOC (1)
#endif

#ifdef CONFIG_HIF_USB
#define HIF_USB (1)
#define DEBUG_HL_LOGGING (1)

#endif

#ifdef CONFIG_QCA_HL_NETDEV_FLOW_CONTROL
#define QCA_HL_NETDEV_FLOW_CONTROL (1)
#endif

#ifdef CONFIG_FEATURE_HL_GROUP_CREDIT_FLOW_CONTROL
#define FEATURE_HL_GROUP_CREDIT_FLOW_CONTROL (1)
#endif

#ifdef CONFIG_FEATURE_HL_DBS_GROUP_CREDIT_SHARING
#define FEATURE_HL_DBS_GROUP_CREDIT_SHARING (1)
#endif

#ifdef CONFIG_WLAN_SYNC_TSF_TIMER
#define WLAN_FEATURE_TSF_TIMER_SYNC (1)
#endif

#ifdef CONFIG_WLAN_SYNC_TSF_PTP
#define WLAN_FEATURE_TSF_PTP (1)
#endif

#ifdef CONFIG_WLAN_SYNC_TSF_PLUS_EXT_GPIO_IRQ
#define WLAN_FEATURE_TSF_PLUS_EXT_GPIO_IRQ (1)
#endif

#ifdef CONFIG_WLAN_SYNC_TSF_PLUS_EXT_GPIO_SYNC
#define WLAN_FEATURE_TSF_PLUS_EXT_GPIO_SYNC (1)
#endif

#ifdef CONFIG_ATH_BUS_PM
#define ATH_BUS_PM (1)
#endif

#ifdef CONFIG_ATH_SUPPORT_FLOWMAC_MODULE
#define ATH_SUPPORT_FLOWMAC_MODULE (1)
#endif

#ifdef CONFIG_ATH_SUPPORT_SPECTRAL
#define ATH_SUPPORT_SPECTRAL (1)
#endif

#ifdef CONFIG_PKTLOG_LEGACY
#define PKTLOG_LEGACY (1)
#endif

#ifdef CONFIG_WDI_EVENT_ENABLE
#define WDI_EVENT_ENABLE (1)
#endif

#ifdef CONFIG_PKTLOG_HAS_SPECIFIC_DATA
#define PKTLOG_HAS_SPECIFIC_DATA (1)
#endif

#ifdef CONFIG_LITTLE_ENDIAN
#define ANI_LITTLE_BYTE_ENDIAN (1)
#define ANI_LITTLE_BIT_ENDIAN (1)
#define DOT11F_LITTLE_ENDIAN_HOST (1)
#else
#define ANI_BIG_BYTE_ENDIAN (1)
#define BIG_ENDIAN_HOST (1)
#endif

#ifdef CONFIG_TX_CREDIT_RECLAIM_SUPPORT
#define TX_CREDIT_RECLAIM_SUPPORT (1)
#endif

#ifdef CONFIG_QCA_WIFI_FTM
#define QCA_WIFI_FTM (1)
#endif

#ifdef CONFIG_NL80211_TESTMODE
#define QCA_WIFI_FTM_NL80211 (1)
#endif

#ifdef CONFIG_LINUX_QCMBR
#define LINUX_QCMBR (1)
#define QCA_WIFI_FTM_IOCTL (1)
#endif

#ifdef CONFIG_CHECKSUM_OFFLOAD
#define CHECKSUM_OFFLOAD (1)
#endif

#ifdef CONFIG_IPA_OFFLOAD
#define IPA_OFFLOAD (1)
#endif

#ifdef CONFIG_IPA_OPT_WIFI_DP
#ifdef CONFIG_IPA_OFFLOAD
#define IPA_OPT_WIFI_DP (1)
#endif
#endif
#ifdef CONFIG_WDI3_IPA_OVER_GSI
#define IPA_WDI3_GSI (1)
#endif

#ifdef CONFIG_WDI2_IPA_OVER_GSI
#define IPA_WDI2_GSI (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_WMI_DIAG_OVER_CE7
#define WLAN_FEATURE_WMI_DIAG_OVER_CE7 (1)
#endif

#ifdef CONFIG_WLAN_DP_FEATURE_DEFERRED_REO_QDESC_DESTROY
#define WLAN_DP_FEATURE_DEFERRED_REO_QDESC_DESTROY (1)
#endif

#ifdef CONFIG_ARCH_SDX20
#define SYNC_IPA_READY (1)
#endif

#ifdef CONFIG_FEATURE_SG
#define FEATURE_SG (1)
#endif

#ifdef CONFIG_RX_THREAD_PRIORITY
#define RX_THREAD_PRIORITY (1)
#endif

#ifdef CONFIG_SUPPORT_P2P_BY_ONE_INTF_WLAN
#define SUPPORT_P2P_BY_ONE_INTF_WLAN (1)
#else
#ifdef CONFIG_WLAN_OPEN_P2P_INTERFACE
#define WLAN_OPEN_P2P_INTERFACE (1)
#endif
#endif

#ifdef CONFIG_WMI_BCN_OFFLOAD
#define WLAN_WMI_BCN (1)
#endif

#ifdef CONFIG_WLAN_WBUFF
#define WLAN_FEATURE_WBUFF (1)
#endif

#ifdef CONFIG_GTK_OFFLOAD
#define WLAN_FEATURE_GTK_OFFLOAD (1)
#endif

#ifdef CONFIG_EXT_WOW
#define WLAN_FEATURE_EXTWOW_SUPPORT (1)
#endif

#ifdef CONFIG_SMP
#define QCA_CONFIG_SMP (1)
#endif

#ifdef CONFIG_RPS
#define QCA_CONFIG_RPS (1)
#endif

#ifdef CONFIG_CHNL_MATRIX_RESTRICTION
#define WLAN_ENABLE_CHNL_MATRIX_RESTRICTION (1)
#endif

#ifdef CONFIG_ICMP_DISABLE_PS
#define WLAN_ICMP_DISABLE_PS (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_MCC_TO_SCC_SWITCH
#define FEATURE_WLAN_MCC_TO_SCC_SWITCH (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_AUTO_SHUTDOWN
#define FEATURE_WLAN_AUTO_SHUTDOWN (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_AP_AP_ACS_OPTIMIZE
#define FEATURE_WLAN_AP_AP_ACS_OPTIMIZE (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_STA_4ADDR_SCHEME
#define FEATURE_WLAN_STA_4ADDR_SCHEME (1)
#endif

#ifdef CONFIG_MDM_PLATFORM
#define MDM_PLATFORM (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_STA_AP_MODE_DFS_DISABLE
#define FEATURE_WLAN_STA_AP_MODE_DFS_DISABLE (1)
#endif

#ifdef CONFIG_WLAN_ENABLE_SOCIAL_CHANNELS_5G_ONLY
#define WLAN_ENABLE_SOCIAL_CHANNELS_5G_ONLY (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_GREEN_AP
#define WLAN_SUPPORT_GREEN_AP (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_GAP_LL_PS_MODE
#define WLAN_SUPPORT_GAP_LL_PS_MODE (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_APF
#define FEATURE_WLAN_APF (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_SARV1_TO_SARV2
#define WLAN_FEATURE_SARV1_TO_SARV2 (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_FT_IEEE8021X
#define FEATURE_WLAN_FT_IEEE8021X (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_FT_PSK
#define FEATURE_WLAN_FT_PSK (1)
#endif

#ifdef CONFIG_HOST_11D_SCAN
#define HOST_11D_SCAN (1)
#endif

#ifdef CONFIG_IPA_OFFLOAD
#ifdef CONFIG_QCACLD_FEATURE_METERING
#define FEATURE_METERING (1)
#endif
#endif
#ifdef CONFIG_IPA_OFFLOAD
#ifdef CONFIG_NUM_IPA_IFACE
#define MAX_IPA_IFACE (CONFIG_NUM_IPA_IFACE)
#else
#ifndef NUM_IPA_IFACE
#define NUM_IPA_IFACE (3)
#endif
#define MAX_IPA_IFACE (NUM_IPA_IFACE)
#endif
#endif
#ifdef CONFIG_CHANNEL_HOPPING_ALL_BANDS
#define CHANNEL_HOPPING_ALL_BANDS (1)
#endif

#ifdef CONFIG_QCA_SIGNED_SPLIT_BINARY_SUPPORT
#define QCA_SIGNED_SPLIT_BINARY_SUPPORT (1)
#endif

#ifdef CONFIG_QCA_SINGLE_BINARY_SUPPORT
#define QCA_SINGLE_BINARY_SUPPORT (1)
#endif

#ifdef CONFIG_TARGET_RAMDUMP_AFTER_KERNEL_PANIC
#define TARGET_RAMDUMP_AFTER_KERNEL_PANIC (1)
#endif

#ifdef CONFIG_FEATURE_SECURE_FIRMWARE
#define FEATURE_SECURE_FIRMWARE (1)
#endif

#ifdef CONFIG_WLAN_SYNC_TSF
#define WLAN_FEATURE_TSF (1)
#endif

#ifdef CONFIG_WLAN_SYNC_TSF_PLUS
#define WLAN_FEATURE_TSF_PLUS (1)
#ifdef CONFIG_WLAN_SYNC_TSF_ACCURACY
#define WLAN_FEATURE_TSF_ACCURACY (1)
#endif
#ifndef CONFIG_WLAN_SYNC_TSF_PLUS_DISABLE_SOCK_TS
#define WLAN_FEATURE_TSF_PLUS_SOCK_TS (1)
#endif
#endif

#ifdef CONFIG_WLAN_SYNC_TSF_PLUS_NOIRQ
#define WLAN_FEATURE_TSF_PLUS_NOIRQ (1)
#endif

#ifdef CONFIG_WLAN_TSF_UPLINK_DELAY
#define WLAN_FEATURE_TSF_UPLINK_DELAY (1)
#endif

#ifdef CONFIG_HELIUMPLUS
#define HELIUMPLUS (1)
#endif

#ifdef CONFIG_RX_OL
#define RECEIVE_OFFLOAD (1)
#endif

#ifdef CONFIG_TX_TID_OVERRIDE
#define ATH_TX_PRI_OVERRIDE (1)
#endif

#ifdef CONFIG_AR900B
#define AR900B (1)
#endif

#ifdef CONFIG_HTT_PADDR64
#define HTT_PADDR64 (1)
#endif

#ifdef CONFIG_OL_RX_INDICATION_RECORD
#define OL_RX_INDICATION_RECORD (1)
#endif

#ifdef CONFIG_TSOSEG_DEBUG
#define TSOSEG_DEBUG (1)
#endif

#ifdef CONFIG_ALLOW_PKT_DROPPING
#define FEATURE_ALLOW_PKT_DROPPING (1)
#endif

#ifdef CONFIG_ATH_DIAG_EXT_DIRECT
#define ATH_DIAG_EXT_DIRECT (1)
#endif

#ifdef CONFIG_ENABLE_DEBUG_ADDRESS_MARKING
#define ENABLE_DEBUG_ADDRESS_MARKING (1)
#endif

#ifdef CONFIG_FEATURE_TSO
#define FEATURE_TSO (1)
#endif

#ifdef CONFIG_FEATURE_TSO_DEBUG
#define FEATURE_TSO_DEBUG (1)
#endif

#ifdef CONFIG_FEATURE_TSO_STATS
#define FEATURE_TSO_STATS (1)
#endif

#ifdef CONFIG_FEATURE_FORCE_WAKE
#define FORCE_WAKE (1)
#endif

#ifdef CONFIG_WLAN_LRO
#define FEATURE_LRO (1)
#endif

#ifdef CONFIG_FEATURE_AP_MCC_CH_AVOIDANCE
#define FEATURE_AP_MCC_CH_AVOIDANCE (1)
#endif

#ifdef CONFIG_FEATURE_EPPING
#define WLAN_FEATURE_EPPING (1)
#endif

#ifdef CONFIG_WLAN_OFFLOAD_PACKETS
#define WLAN_FEATURE_OFFLOAD_PACKETS (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DISA
#define WLAN_FEATURE_DISA (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_ACTION_OUI
#define WLAN_FEATURE_ACTION_OUI (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_FIPS
#define WLAN_FEATURE_FIPS (1)
#endif

#ifdef CONFIG_LFR_SUBNET_DETECTION
#define FEATURE_LFR_SUBNET_DETECTION (1)
#endif

#ifdef CONFIG_MCC_TO_SCC_SWITCH
#define FEATURE_WLAN_MCC_TO_SCC_SWITCH (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_D0WOW
#define FEATURE_WLAN_D0WOW (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_PKT_CAPTURE
#define WLAN_FEATURE_PKT_CAPTURE (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_PKT_CAPTURE_V2
#define WLAN_FEATURE_PKT_CAPTURE_V2 (1)
#endif

#ifdef CONFIG_DP_RX_UDP_OVER_PEER_ROAM
#define DP_RX_UDP_OVER_PEER_ROAM (1)
#endif

#ifdef CONFIG_QCA_WIFI_EMULATION
#define QCA_WIFI_EMULATION (1)
#endif

#ifdef CONFIG_QCA6290_HEADERS_DEF
#define QCA6290_HEADERS_DEF (1)
#endif

#ifdef CONFIG_QCA_WIFI_QCA6290
#define QCA_WIFI_QCA6290 (1)
#endif

#ifdef CONFIG_QCA6390_HEADERS_DEF
#define QCA6390_HEADERS_DEF (1)
#endif

#ifdef CONFIG_QCA6750_HEADERS_DEF
#define QCA6750_HEADERS_DEF (1)
#endif

#ifdef CONFIG_QCA_WIFI_QCA6390
#define QCA_WIFI_QCA6390 (1)
#endif

#ifdef CONFIG_QCA6490_HEADERS_DEF
#define QCA6490_HEADERS_DEF (1)
#endif

#ifdef CONFIG_KIWI_HEADERS_DEF
#define KIWI_HEADERS_DEF (1)
#endif

#ifdef CONFIG_WCN6450_HEADERS_DEF
#define WCN6450_HEADERS_DEF (1)
#endif

#ifdef CONFIG_QCA_WIFI_QCA6490
#define QCA_WIFI_QCA6490 (1)
#endif

#ifdef CONFIG_QCA_WIFI_QCA6750
#define QCA_WIFI_QCA6750 (1)
#endif

#ifdef CONFIG_QCA_WIFI_KIWI
#define QCA_WIFI_KIWI (1)
#endif

#ifdef CONFIG_QCA_WIFI_WCN6450
#define QCA_WIFI_WCN6450 (1)
#endif

#ifdef CONFIG_QCA_WIFI_WCN6450
#define WLAN_40BIT_ADDRESSING_SUPPORT (1)
#endif

#ifdef CONFIG_QCA_WIFI_WCN6450
#define WLAN_64BIT_DATA_SUPPORT (1)
#endif

#ifdef CONFIG_CE_LEGACY_MSI_SUPPORT
#define CE_LEGACY_MSI_SUPPORT (1)
#endif

#ifdef CONFIG_HIF_HAL_REG_ACCESS_SUPPORT
#define HIF_HAL_REG_ACCESS_SUPPORT (1)
#endif

#ifdef CONFIG_CNSS_KIWI_V2
#define QCA_WIFI_KIWI_V2 (1)
#endif

#ifdef CONFIG_CNSS_MANGO
#define QCA_WIFI_MANGO (1)
#endif

#ifdef CONFIG_CNSS_PEACH
#define QCA_WIFI_PEACH (1)
#endif

#ifdef CONFIG_QCA_WIFI_QCA8074
#define QCA_WIFI_QCA8074 (1)
#endif

#ifdef CONFIG_SCALE_INCLUDES
#define SCALE_INCLUDES (1)
#endif

#ifdef CONFIG_QCA_WIFI_QCA8074_VP
#define QCA_WIFI_QCA8074_VP (1)
#endif

#ifdef CONFIG_DP_INTR_POLL_BASED
#define DP_INTR_POLL_BASED (1)
#endif

#ifdef CONFIG_TX_PER_PDEV_DESC_POOL
#define TX_PER_PDEV_DESC_POOL (1)
#endif

#ifdef CONFIG_FEATURE_TSO
#define FEATURE_TSO (1)
#endif

#ifdef CONFIG_TSO_DEBUG_LOG_ENABLE
#define TSO_DEBUG_LOG_ENABLE (1)
#endif

#ifdef CONFIG_DP_LFR
#define DP_LFR (1)
#endif

#ifdef CONFIG_DUP_RX_DESC_WAR
#define DUP_RX_DESC_WAR (1)
#endif

#ifdef CONFIG_DP_MEM_PRE_ALLOC
#define DP_MEM_PRE_ALLOC (1)
#endif

#ifdef CONFIG_DP_TXRX_SOC_ATTACH
#define DP_TXRX_SOC_ATTACH (1)
#endif

#ifdef CONFIG_QCA_TX_PADDING_CREDIT_SUPPORT
#define QCA_TX_PADDING_CREDIT_SUPPORT (1)
#endif

#ifdef CONFIG_QCN7605_SUPPORT
#define QCN7605_SUPPORT (1)
#define PLATFORM_GENOA (1)
#endif

#ifdef CONFIG_HIF_REG_WINDOW_SUPPORT
#define HIF_REG_WINDOW_SUPPORT (1)
#endif

#ifdef CONFIG_WLAN_ALLOCATE_GLOBAL_BUFFERS_DYNAMICALLY
#define WLAN_ALLOCATE_GLOBAL_BUFFERS_DYNAMICALLY (1)
#endif

#ifdef CONFIG_HIF_CE_DEBUG_DATA_BUF
#define HIF_CE_DEBUG_DATA_BUF (1)
#endif

#ifdef CONFIG_IPA_DISABLE_OVERRIDE
#define IPA_DISABLE_OVERRIDE (1)
#endif

#ifdef CONFIG_QCA_LL_TX_FLOW_CONTROL_RESIZE
#define QCA_LL_TX_FLOW_CONTROL_RESIZE (1)
#endif

#ifdef CONFIG_HIF_PCI
#define CE_SVC_CMN_INIT (1)
#endif

#ifdef CONFIG_HIF_IPCI
#define CE_SVC_CMN_INIT (1)
#endif

#ifdef CONFIG_HIF_SNOC
#define CE_SVC_CMN_INIT (1)
#endif

#ifdef CONFIG_RX_DESC_SANITY_WAR
#define RX_DESC_SANITY_WAR (1)
#endif

#ifdef CONFIG_WBM_IDLE_LSB_WR_CNF_WAR
#define WBM_IDLE_LSB_WRITE_CONFIRM_WAR (1)
#endif

#ifdef CONFIG_DYNAMIC_RX_AGGREGATION
#define WLAN_FEATURE_DYNAMIC_RX_AGGREGATION (1)
#endif

#ifdef CONFIG_DP_FEATURE_HW_COOKIE_CONVERSION
#define DP_FEATURE_HW_COOKIE_CONVERSION (1)
#endif

#ifdef CONFIG_DP_HW_COOKIE_CONVERT_EXCEPTION
#define DP_HW_COOKIE_CONVERT_EXCEPTION (1)
#endif

#ifdef CONFIG_TX_ADDR_INDEX_SEARCH
#define TX_ADDR_INDEX_SEARCH (1)
#endif

#ifdef CONFIG_QCA_SUPPORT_TX_MIN_RATES_FOR_SPECIAL_FRAMES
#define QCA_SUPPORT_TX_MIN_RATES_FOR_SPECIAL_FRAMES (1)
#endif

#ifdef CONFIG_QCA_GET_TSF_VIA_REG
#define QCA_GET_TSF_VIA_REG (1)
#endif

#ifdef CONFIG_DP_TX_COMP_RING_DESC_SANITY_CHECK
#define DP_TX_COMP_RING_DESC_SANITY_CHECK (1)
#endif

#ifdef CONFIG_HAL_SRNG_REG_HIS_DEBUG
#define HAL_SRNG_REG_HIS_DEBUG (1)
#endif

#ifdef CONFIG_RX_HASH_DEBUG
#define RX_HASH_DEBUG (1)
#endif

#ifdef CONFIG_DP_PKT_STATS_PER_LMAC
#define DP_PKT_STATS_PER_LMAC (1)
#endif

#ifdef CONFIG_NO_RX_PKT_HDR_TLV
#define NO_RX_PKT_HDR_TLV (1)
#endif

#ifdef CONFIG_QCA6290_11AX
#define QCA_WIFI_QCA6290_11AX (1)
#define QCA_WIFI_QCA6290_11AX_MU_UL (1)
#endif

#ifdef CONFIG_WLAN_TX_FLOW_CONTROL_V2
#define QCA_AC_BASED_FLOW_CONTROL (1)
#endif

#ifdef CONFIG_FEATURE_NO_DBS_INTRABAND_MCC_SUPPORT
#define FEATURE_NO_DBS_INTRABAND_MCC_SUPPORT (1)
#endif

#ifdef CONFIG_HAL_DISABLE_NON_BA_2K_JUMP_ERROR
#define HAL_DISABLE_NON_BA_2K_JUMP_ERROR (1)
#endif

#ifdef CONFIG_ENABLE_HAL_SOC_STATS
#define ENABLE_HAL_SOC_STATS (1)
#endif

#ifdef CONFIG_DP_RX_DESC_COOKIE_INVALIDATE
#define DP_RX_DESC_COOKIE_INVALIDATE (1)
#endif

#ifdef CONFIG_MON_ENABLE_DROP_FOR_MAC
#define MON_ENABLE_DROP_FOR_MAC (1)
#endif

#ifdef CONFIG_MON_ENABLE_DROP_FOR_NON_MON_PMAC
#define MON_ENABLE_DROP_FOR_NON_MON_PMAC (1)
#endif

#ifdef CONFIG_DP_WAR_INVALID_FIRST_MSDU_FLAG
#define DP_WAR_INVALID_FIRST_MSDU_FLAG (1)
#endif

#ifdef CONFIG_LITHIUM
#define DISABLE_MON_RING_MSI_CFG (1)
#endif

#ifdef CONFIG_LITHIUM
#define FEATURE_IRQ_AFFINITY (1)
#endif

#ifdef CONFIG_RHINE
#define DISABLE_MON_RING_MSI_CFG (1)
#endif

#ifdef CONFIG_RHINE
#define FEATURE_IRQ_AFFINITY (1)
#endif

#ifdef CONFIG_RHINE
#define WLAN_SOFTUMAC_SUPPORT (1)
#endif

#ifdef CONFIG_BERYLLIUM
#define FEATURE_IRQ_AFFINITY (1)
#endif

#ifdef CONFIG_TX_MULTIQ_PER_AC
#define TX_MULTIQ_PER_AC (1)
#endif

#ifdef CONFIG_PCI_LINK_STATUS_SANITY
#define PCI_LINK_STATUS_SANITY (1)
#endif

#ifdef CONFIG_DDP_MON_RSSI_IN_DBM
#define DP_MON_RSSI_IN_DBM (1)
#endif

#ifdef CONFIG_SYSTEM_PM_CHECK
#define SYSTEM_PM_CHECK (1)
#endif

#ifdef CONFIG_DISABLE_EAPOL_INTRABSS_FWD
#define DISABLE_EAPOL_INTRABSS_FWD (1)
#endif

#ifdef CONFIG_TX_AGGREGATION_SIZE_ENABLE
#define TX_AGGREGATION_SIZE_ENABLE (1)
#endif

#ifdef CONFIG_TX_MULTI_TCL
#define TX_MULTI_TCL (1)
#endif

#ifdef CONFIG_WLAN_DP_DISABLE_TCL_CMD_CRED_SRNG
#define WLAN_DP_DISABLE_TCL_CMD_CRED_SRNG (1)
#endif

#ifdef CONFIG_WLAN_DP_DISABLE_TCL_STATUS_SRNG
#define WLAN_DP_DISABLE_TCL_STATUS_SRNG (1)
#endif

#ifdef CONFIG_DP_WAR_VALIDATE_RX_ERR_MSDU_COOKIE
#define DP_WAR_VALIDATE_RX_ERR_MSDU_COOKIE (1)
#endif

#ifdef CONFIG_WLAN_DP_SRNG_USAGE_WM_TRACKING
#define WLAN_DP_SRNG_USAGE_WM_TRACKING (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DP_CFG_EVENT_HISTORY
#define WLAN_FEATURE_DP_CFG_EVENT_HISTORY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_LL_MODE
#define WLAN_FEATURE_LL_MODE (1)
#endif

#ifdef CONFIG_WLAN_CLD_PM_QOS
#define CLD_PM_QOS (1)
#endif

#ifdef CONFIG_WLAN_CLD_DEV_PM_QOS
#define CLD_DEV_PM_QOS (1)
#endif

#ifdef CONFIG_REO_DESC_DEFER_FREE
#define REO_DESC_DEFER_FREE (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_11AX
#define WLAN_FEATURE_11AX (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_11AX
#define WLAN_FEATURE_11AX_BSS_COLOR (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_11AX
#define SUPPORT_11AX_D3 (1)
#endif

#ifdef CONFIG_RXDMA_ERR_PKT_DROP
#define RXDMA_ERR_PKT_DROP (1)
#endif

#ifdef CONFIG_MAX_ALLOC_PAGE_SIZE
#define MAX_ALLOC_PAGE_SIZE (1)
#endif

#ifdef CONFIG_DELIVERY_TO_STACK_STATUS_CHECK
#define DELIVERY_TO_STACK_STATUS_CHECK (1)
#endif

#ifdef CONFIG_WLAN_TRACE_HIDE_MAC_ADDRESS
#define WLAN_TRACE_HIDE_MAC_ADDRESS (1)
#endif

#ifdef CONFIG_WLAN_TRACE_HIDE_SSID
#define WLAN_TRACE_HIDE_SSID (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_11BE
#define WLAN_FEATURE_11BE (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_11BE_MLO
#define WLAN_FEATURE_11BE_MLO (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_11BE_MLO
#define WLAN_FEATURE_11BE_MLO_ADV_FEATURE (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_11BE_MLO
#define WLAN_SUPPORT_11BE_D3_0 (1)
#endif

#ifdef CONFIG_FIX_TXDMA_LIMITATION
#define FIX_TXDMA_LIMITATION (1)
#endif

#ifdef CONFIG_FEATURE_AST
#define FEATURE_AST (1)
#endif

#ifdef CONFIG_PEER_PROTECTED_ACCESS
#define PEER_PROTECTED_ACCESS (1)
#endif

#ifdef CONFIG_SERIALIZE_QUEUE_SETUP
#define SERIALIZE_QUEUE_SETUP (1)
#endif

#ifdef CONFIG_DP_RX_PKT_NO_PEER_DELIVER
#define DP_RX_PKT_NO_PEER_DELIVER (1)
#endif

#ifdef CONFIG_DP_RX_DROP_RAW_FRM
#define DP_RX_DROP_RAW_FRM (1)
#endif

#ifdef CONFIG_FEATURE_ALIGN_STATS_FROM_DP
#define FEATURE_ALIGN_STATS_FROM_DP (1)
#endif

#ifdef CONFIG_DP_RX_SPECIAL_FRAME_NEED
#define DP_RX_SPECIAL_FRAME_NEED (1)
#endif

#ifdef CONFIG_FEATURE_STATS_EXT_V2
#define FEATURE_STATS_EXT_V2 (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_CAL_FAILURE_TRIGGER
#define WLAN_FEATURE_CAL_FAILURE_TRIGGER (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DYNAMIC_MAC_ADDR_UPDATE
#define WLAN_FEATURE_DYNAMIC_MAC_ADDR_UPDATE (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_SAP_ACS_OPTIMIZE
#define WLAN_FEATURE_SAP_ACS_OPTIMIZE (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_NO_STA_SAP_CONCURRENCY
#define WLAN_FEATURE_NO_STA_SAP_CONCURRENCY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_NO_STA_NAN_CONCURRENCY
#define WLAN_FEATURE_NO_STA_NAN_CONCURRENCY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_NO_P2P_CONCURRENCY
#define WLAN_FEATURE_NO_P2P_CONCURRENCY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_NO_SAP_NAN_CONCURRENCY
#define WLAN_FEATURE_NO_SAP_NAN_CONCURRENCY (1)
#endif

#ifdef CONFIG_VERBOSE_DEBUG
#define ENABLE_VERBOSE_DEBUG (1)
#endif

#ifdef CONFIG_RX_DESC_DEBUG_CHECK
#define RX_DESC_DEBUG_CHECK (1)
#endif

#ifdef CONFIG_REGISTER_OP_DEBUG
#define HAL_REGISTER_WRITE_DEBUG (1)
#endif

#ifdef CONFIG_ENABLE_QDF_PTR_HASH_DEBUG
#define ENABLE_QDF_PTR_HASH_DEBUG (1)
#endif

#ifdef CONFIG_SM_ENG_HIST
#define SM_ENG_HIST_ENABLE (1)
#endif

#ifdef CONFIG_FEATURE_VDEV_OPS_WAKELOCK
#define FEATURE_VDEV_OPS_WAKELOCK (1)
#endif

#ifdef CONFIG_FEATURE_RSSI_MONITOR
#define FEATURE_RSSI_MONITOR (1)
#endif

#ifdef CONFIG_FEATURE_BSS_TRANSITION
#define FEATURE_BSS_TRANSITION (1)
#endif

#ifdef CONFIG_FEATURE_STATION_INFO
#define FEATURE_STATION_INFO (1)
#endif

#ifdef CONFIG_FEATURE_TX_POWER
#define FEATURE_TX_POWER (1)
#endif

#ifdef CONFIG_FEATURE_OTA_TEST
#define FEATURE_OTA_TEST (1)
#endif

#ifdef CONFIG_FEATURE_ACTIVE_TOS
#define FEATURE_ACTIVE_TOS (1)
#endif

#ifdef CONFIG_FEATURE_SAR_LIMITS
#define FEATURE_SAR_LIMITS (1)
#endif

#ifdef CONFIG_FEATURE_CONCURRENCY_MATRIX
#define FEATURE_CONCURRENCY_MATRIX (1)
#endif

#ifdef CONFIG_FEATURE_SAP_COND_CHAN_SWITCH
#define FEATURE_SAP_COND_CHAN_SWITCH (1)
#endif

#ifdef CONFIG_FEATURE_WLAN_CH_AVOID_EXT
#define FEATURE_WLAN_CH_AVOID_EXT (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_MDNS_OFFLOAD
#define WLAN_FEATURE_MDNS_OFFLOAD (1)
#endif

#ifdef CONFIG_CONVERGED_P2P_ENABLE
#ifdef CONFIG_FEATURE_P2P_LISTEN_OFFLOAD
#define FEATURE_P2P_LISTEN_OFFLOAD (1)
#endif
#endif

#ifdef CONFIG_ANI_LEVEL_REQUEST
#define FEATURE_ANI_LEVEL_REQUEST (1)
#endif

#ifdef CONFIG_WMI_ROAM_SUPPORT
#define WMI_ROAM_SUPPORT (1)
#endif

#ifdef CONFIG_WMI_CONCURRENCY_SUPPORT
#define WMI_CONCURRENCY_SUPPORT (1)
#endif

#ifdef CONFIG_WMI_STA_SUPPORT
#define WMI_STA_SUPPORT (1)
#endif

#ifdef CONFIG_HIF_LARGE_CE_RING_HISTORY
#define HIF_CE_HISTORY_MAX (CONFIG_HIF_LARGE_CE_RING_HISTORY)
#endif

#ifdef CONFIG_WLAN_HANG_EVENT
#define HIF_CE_LOG_INFO (1)
#endif

#ifdef CONFIG_WLAN_HANG_EVENT
#define HIF_BUS_LOG_INFO (1)
#endif

#ifdef CONFIG_WLAN_HANG_EVENT
#define DP_SUPPORT_RECOVERY_NOTIFY (1)
#endif

#ifdef CONFIG_WLAN_DFS_STATIC_MEM_ALLOC
#define WLAN_DFS_STATIC_MEM_ALLOC (1)
#endif

#ifdef CONFIG_WLAN_DFS_MASTER_ENABLE
#define MOBILE_DFS_SUPPORT (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DFS_OFFLOAD
#ifdef CONFIG_WLAN_DFS_MASTER_ENABLE
#define WLAN_DFS_FULL_OFFLOAD (1)
#endif
#else
#ifdef CONFIG_WLAN_DFS_MASTER_ENABLE
#define WLAN_DFS_PARTIAL_OFFLOAD (1)
#endif
#endif

#ifdef CONFIG_WLAN_DFS_MASTER_ENABLE
#define DFS_COMPONENT_ENABLE (1)
#endif

#ifdef CONFIG_WLAN_DFS_MASTER_ENABLE
#define QCA_DFS_USE_POLICY_MANAGER (1)
#endif

#ifdef CONFIG_WLAN_DFS_MASTER_ENABLE
#define QCA_DFS_NOL_PLATFORM_DRV_SUPPORT (1)
#endif

#ifdef CONFIG_QCA_DFS_BW_PUNCTURE
#define QCA_DFS_BW_PUNCTURE (1)
#endif

#ifdef CONFIG_WLAN_DEBUGFS
#define WLAN_DEBUGFS (1)
#endif

#ifdef CONFIG_WLAN_DEBUGFS
#define WLAN_DBGLOG_DEBUGFS (1)
#endif

#ifdef CONFIG_WLAN_STREAMFS
#define WLAN_STREAMFS (1)
#endif

#ifdef CONFIG_DYNAMIC_DEBUG
#define FEATURE_MULTICAST_HOST_FW_MSGS (1)
#endif

#ifdef CONFIG_ENABLE_SMMU_S1_TRANSLATION
#define ENABLE_SMMU_S1_TRANSLATION (1)
#endif

#ifdef CONFIG_LOG_LINE_NUMBER
#define LOG_LINE_NUMBER (1)
#endif

#ifdef CONFIG_ENABLE_MTRACE_LOG
#define ENABLE_MTRACE_LOG (1)
#endif

#ifdef CONFIG_FUNC_CALL_MAP
#define FUNC_CALL_MAP (1)
#endif

#ifdef CONFIG_ADAPTIVE_11R
#define WLAN_ADAPTIVE_11R (1)
#endif

#ifdef CONFIG_SAE_SINGLE_PMK
#define WLAN_SAE_SINGLE_PMK (1)
#endif

#ifdef CONFIG_MULTI_CLIENT_LL_SUPPORT
#define MULTI_CLIENT_LL_SUPPORT (1)
#endif

#ifdef CONFIG_WLAN_VENDOR_HANDOFF_CONTROL
#define WLAN_VENDOR_HANDOFF_CONTROL (1)
#endif

#ifdef CONFIG_FEATURE_MSCS
#define WLAN_FEATURE_MSCS (1)
#endif

#ifdef CONFIG_WLAN_NUD_TRACKING
#define WLAN_NUD_TRACKING (1)
#endif

#ifdef CONFIG_DISABLE_CHANNEL_LIST
#define DISABLE_CHANNEL_LIST (1)
#endif

#ifdef CONFIG_WLAN_BCN_RECV_FEATURE
#define WLAN_BCN_RECV_FEATURE (1)
#endif

#ifdef CONFIG_FW_THERMAL_THROTTLE
#define FW_THERMAL_THROTTLE (1)
#endif

#ifdef CONFIG_LTE_COEX
#define LTE_COEX (1)
#endif

#ifdef CONFIG_HOST_OPCLASS
#define HOST_OPCLASS (1)
#endif

#ifdef CONFIG_HOST_OPCLASS
#define HOST_OPCLASS_EXT (1)
#endif

#ifdef CONFIG_TARGET_11D_SCAN
#define TARGET_11D_SCAN (1)
#endif

#ifdef CONFIG_SAP_AVOID_ACS_FREQ_LIST
#define SAP_AVOID_ACS_FREQ_LIST (1)
#endif

#ifdef CONFIG_WLAN_DYNAMIC_CVM
#define FEATURE_WLAN_DYNAMIC_CVM (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_FW_STATE
#define FEATURE_FW_STATE (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_COEX_CONFIG
#define FEATURE_COEX_CONFIG (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_MPTA_HELPER
#define FEATURE_MPTA_HELPER (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_HW_CAPABILITY
#define FEATURE_HW_CAPABILITY (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_BTC_CHAIN_MODE
#define FEATURE_BTC_CHAIN_MODE (1)
#endif

#ifdef CONFIG_DATA_CE_SW_INDEX_NO_INLINE_UPDATE
#define DATA_CE_SW_INDEX_NO_INLINE_UPDATE (1)
#endif

#ifdef CONFIG_QCACLD_RX_DESC_MULTI_PAGE_ALLOC
#define RX_DESC_MULTI_PAGE_ALLOC (1)
#endif

#ifdef CONFIG_SAR_SAFETY_FEATURE
#define SAR_SAFETY_FEATURE (1)
#endif

#ifdef CONFIG_CONNECTION_ROAMING_CFG
#define CONNECTION_ROAMING_CFG (1)
#endif

#ifdef CONFIG_FEATURE_SET
#define FEATURE_SET (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_NEAR_FULL_IRQ
#define WLAN_FEATURE_NEAR_FULL_IRQ (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DP_EVENT_HISTORY
#define WLAN_FEATURE_DP_EVENT_HISTORY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DP_RX_RING_HISTORY
#define WLAN_FEATURE_DP_RX_RING_HISTORY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DP_MON_STATUS_RING_HISTORY
#define WLAN_FEATURE_DP_MON_STATUS_RING_HISTORY (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_DP_TX_DESC_HISTORY
#define WLAN_FEATURE_DP_TX_DESC_HISTORY (1)
#endif

#ifdef CONFIG_REO_QDESC_HISTORY
#define REO_QDESC_HISTORY (1)
#endif

#ifdef CONFIG_DP_TX_HW_DESC_HISTORY
#define DP_TX_HW_DESC_HISTORY (1)
#endif

#ifdef CONFIG_QDF_NBUF_HISTORY_SIZE
#define QDF_NBUF_HISTORY_SIZE (CONFIG_QDF_NBUF_HISTORY_SIZE)
#endif

#ifdef CONFIG_WLAN_DP_PER_RING_TYPE_CONFIG
#define WLAN_DP_PER_RING_TYPE_CONFIG (1)
#endif

#ifdef CONFIG_WLAN_CE_INTERRUPT_THRESHOLD_CONFIG
#define WLAN_CE_INTERRUPT_THRESHOLD_CONFIG (1)
#endif

#ifdef CONFIG_SAP_DHCP_FW_IND
#define SAP_DHCP_FW_IND (1)
#endif

#ifdef CONFIG_WLAN_DP_PENDING_MEM_FLUSH
#define WLAN_DP_PENDING_MEM_FLUSH (1)
#endif

#ifdef CONFIG_WLAN_SUPPORT_DATA_STALL
#define WLAN_SUPPORT_DATA_STALL (1)
#endif

#ifdef CONFIG_WLAN_SUPPORT_TXRX_HL_BUNDLE
#define WLAN_SUPPORT_TXRX_HL_BUNDLE (1)
#endif

#ifdef CONFIG_QCN7605_PCIE_SHADOW_REG_SUPPORT
#define QCN7605_PCIE_SHADOW_REG_SUPPORT (1)
#endif

#ifdef CONFIG_QCN7605_PCIE_GOLBAL_RESET_SUPPORT
#define QCN7605_PCIE_GOLBAL_RESET_SUPPORT (1)
#endif

#ifdef CONFIG_MARK_ICMP_REQ_TO_FW
#define WLAN_DP_FEATURE_MARK_ICMP_REQ_TO_FW (1)
#endif

#ifdef CONFIG_EMULATION_2_0
#define CONFIG_KIWI_EMULATION_2_0 (1)
#endif

#ifdef CONFIG_WLAN_SKIP_BAR_UPDATE
#define WLAN_SKIP_BAR_UPDATE (1)
#endif

#ifdef CONFIG_WLAN_TRACEPOINTS
#define WLAN_TRACEPOINTS (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_SON
#define FEATURE_PERPKT_INFO (1)
#endif

#ifdef CONFIG_QCACLD_FEATURE_SON
#define QCA_ENHANCED_STATS_SUPPORT (1)
#endif

#ifdef CONFIG_QMI_COMPONENT_ENABLE
#define QMI_COMPONENT_ENABLE (1)
#ifdef CONFIG_QMI_WFDS
#define QMI_WFDS (1)
#endif
#endif
#if defined(CONFIG_MAX_LOGS_PER_SEC) && defined(CONFIG_ENABLE_MAX_LOGS_PER_SEC)
#define WLAN_MAX_LOGS_PER_SEC (CONFIG_MAX_LOGS_PER_SEC)
#endif

#ifdef CONFIG_NON_QC_PLATFORM
#define WLAN_DUMP_LOG_BUF_CNT (CONFIG_DUMP_LOG_BUF_CNT)
#endif

#if defined(CONFIG_SCHED_HISTORY_SIZE) && \
	defined(CONFIG_ENABLE_SCHED_HISTORY_SIZE)
#define WLAN_SCHED_HISTORY_SIZE (CONFIG_SCHED_HISTORY_SIZE)
#endif

#ifdef CONFIG_QDF_TIMER_MULTIPLIER_FRAC
#define QDF_TIMER_MULTIPLIER_FRAC (CONFIG_QDF_TIMER_MULTIPLIER_FRAC)
#endif

#ifdef CONFIG_DP_LEGACY_MODE_CSM_DEFAULT_DISABLE
#define DP_LEGACY_MODE_CSM_DEFAULT_DISABLE (CONFIG_DP_LEGACY_MODE_CSM_DEFAULT_DISABLE)
#endif

#ifdef CONFIG_HANDLE_RX_REROUTE_ERR
#define HANDLE_RX_REROUTE_ERR (1)
#endif

#ifdef CONFIG_CFG_NUM_DP_TRACE_RECORD
#define MAX_QDF_DP_TRACE_RECORDS (CONFIG_CFG_NUM_DP_TRACE_RECORD)
#endif

#ifdef CONFIG_CFG_NUM_HTC_CREDIT_HISTORY
#define HTC_CREDIT_HISTORY_MAX (CONFIG_CFG_NUM_HTC_CREDIT_HISTORY)
#endif

#ifdef CONFIG_CFG_NUM_WMI_EVENT_HISTORY
#define WMI_EVENT_DEBUG_MAX_ENTRY (CONFIG_CFG_NUM_WMI_EVENT_HISTORY)
#endif

#ifdef CONFIG_CFG_NUM_WMI_MGMT_EVENT_HISTORY
#define WMI_MGMT_EVENT_DEBUG_MAX_ENTRY (CONFIG_CFG_NUM_WMI_MGMT_EVENT_HISTORY)
#endif

#ifdef CONFIG_CFG_NUM_TX_RX_HISTOGRAM
#define NUM_TX_RX_HISTOGRAM (CONFIG_CFG_NUM_TX_RX_HISTOGRAM)
#endif

#ifdef CONFIG_CFG_NUM_RX_IND_RECORD
#define OL_RX_INDICATION_MAX_RECORDS (CONFIG_CFG_NUM_RX_IND_RECORD)
#endif

#ifdef CONFIG_CFG_NUM_ROAM_DEBUG_RECORD
#define WLAN_ROAM_DEBUG_MAX_REC (CONFIG_CFG_NUM_ROAM_DEBUG_RECORD)
#endif

#ifdef CONFIG_CFG_PMO_WOW_FILTERS_MAX
#define PMO_WOW_FILTERS_MAX (CONFIG_CFG_PMO_WOW_FILTERS_MAX)
#endif

#ifdef CONFIG_CFG_GTK_OFFLOAD_MAX_VDEV
#define CFG_TGT_DEFAULT_GTK_OFFLOAD_MAX_VDEV (CONFIG_CFG_GTK_OFFLOAD_MAX_VDEV)
#endif

#ifdef CONFIG_TGT_NUM_MSDU_DESC
#define CFG_TGT_NUM_MSDU_DESC (CONFIG_TGT_NUM_MSDU_DESC)
#endif

#ifdef CONFIG_HTC_MAX_MSG_PER_BUNDLE_TX
#define CFG_HTC_MAX_MSG_PER_BUNDLE_TX (CONFIG_HTC_MAX_MSG_PER_BUNDLE_TX)
#endif

#ifdef CONFIG_CFG_BMISS_OFFLOAD_MAX_VDEV
#define CFG_TGT_DEFAULT_BMISS_OFFLOAD_MAX_VDEV (CONFIG_CFG_BMISS_OFFLOAD_MAX_VDEV)
#endif

#ifdef CONFIG_WLAN_UMAC_MLO_MAX_DEV
#define WLAN_UMAC_MLO_MAX_DEV (CONFIG_WLAN_UMAC_MLO_MAX_DEV)
#endif

#ifdef CONFIG_CFG_ROAM_OFFLOAD_MAX_VDEV
#define CFG_TGT_DEFAULT_ROAM_OFFLOAD_MAX_VDEV (CONFIG_CFG_ROAM_OFFLOAD_MAX_VDEV)
#endif

#ifdef CONFIG_CFG_MAX_PERIODIC_TX_PTRNS
#define MAXNUM_PERIODIC_TX_PTRNS (CONFIG_CFG_MAX_PERIODIC_TX_PTRNS)
#endif

#ifdef CONFIG_CFG_MAX_STA_VDEVS
#define CFG_TGT_DEFAULT_MAX_STA_VDEVS (CONFIG_CFG_MAX_STA_VDEVS)
#endif

#ifdef CONFIG_CFG_NUM_OF_ADDITIONAL_FW_PEERS
#define NUM_OF_ADDITIONAL_FW_PEERS (CONFIG_CFG_NUM_OF_ADDITIONAL_FW_PEERS)
#endif

#ifdef CONFIG_CFG_NUM_OF_TDLS_CONN_TABLE_ENTRIES
#define CFG_TGT_NUM_TDLS_CONN_TABLE_ENTRIES (CONFIG_CFG_NUM_OF_TDLS_CONN_TABLE_ENTRIES)
#endif

#ifdef CONFIG_CFG_TGT_AST_SKID_LIMIT
#define CFG_TGT_AST_SKID_LIMIT (CONFIG_CFG_TGT_AST_SKID_LIMIT)
#endif

#ifdef CONFIG_TX_RESOURCE_HIGH_TH_IN_PER
#define TX_RESOURCE_HIGH_TH_IN_PER (CONFIG_TX_RESOURCE_HIGH_TH_IN_PER)
#endif

#ifdef CONFIG_TX_RESOURCE_LOW_TH_IN_PER
#define TX_RESOURCE_LOW_TH_IN_PER (CONFIG_TX_RESOURCE_LOW_TH_IN_PER)
#endif

#ifndef CONFIG_WLAN_MAX_PSOCS
#define CONFIG_WLAN_MAX_PSOCS (1)
#endif
#define WLAN_MAX_PSOCS (CONFIG_WLAN_MAX_PSOCS)

#ifndef CONFIG_WLAN_MAX_PDEVS
#define CONFIG_WLAN_MAX_PDEVS (1)
#endif
#define WLAN_MAX_PDEVS (CONFIG_WLAN_MAX_PDEVS)

#ifdef CONFIG_WLAN_FEATURE_11BE_MLO
#ifndef CONFIG_WLAN_MAX_ML_VDEVS
#define CONFIG_WLAN_MAX_ML_VDEVS (3)
#endif
#else
#ifndef CONFIG_WLAN_MAX_ML_VDEVS
#define CONFIG_WLAN_MAX_ML_VDEVS (0)
#endif
#endif

#define WLAN_MAX_ML_VDEVS (CONFIG_WLAN_MAX_ML_VDEVS)

#ifndef CONFIG_WLAN_MAX_VDEVS
#define CONFIG_WLAN_MAX_VDEVS (6)
#endif
#define WLAN_MAX_VDEVS (CONFIG_WLAN_MAX_VDEVS)

#ifdef CONFIG_WLAN_FEATURE_11BE_MLO
#ifndef CONFIG_WLAN_MAX_MLD
#define CONFIG_WLAN_MAX_MLD (2)
#endif
#else
#ifndef CONFIG_WLAN_MAX_MLD
#define CONFIG_WLAN_MAX_MLD (1)
#endif
#endif

#define WLAN_MAX_MLD (CONFIG_WLAN_MAX_MLD)

#ifdef CONFIG_SIR_SAP_MAX_NUM_PEERS
#ifndef CONFIG_WLAN_SER_MAX_PENDING_CMDS_AP
#define CONFIG_WLAN_SER_MAX_PENDING_CMDS_AP (CONFIG_SIR_SAP_MAX_NUM_PEERS)
#endif
#else
#ifndef CONFIG_WLAN_SER_MAX_PENDING_CMDS_AP
#define CONFIG_WLAN_SER_MAX_PENDING_CMDS_AP (32)
#endif
#endif

#ifndef WLAN_SER_MAX_PENDING_CMDS_AP
#define WLAN_SER_MAX_PENDING_CMDS_AP (CONFIG_WLAN_SER_MAX_PENDING_CMDS_AP + 3)
#endif

#ifndef CONFIG_WLAN_SER_MAX_PENDING_CMDS_STA
#define CONFIG_WLAN_SER_MAX_PENDING_CMDS_STA (4)
#endif
#define WLAN_SER_MAX_PENDING_CMDS_STA (CONFIG_WLAN_SER_MAX_PENDING_CMDS_STA)

#ifndef CONFIG_WLAN_MAX_PENDING_CMDS
#define CONFIG_WLAN_MAX_PENDING_CMDS (CONFIG_WLAN_SER_MAX_PENDING_CMDS_AP * 3 + CONFIG_WLAN_SER_MAX_PENDING_CMDS_STA * 2)
#endif
#define WLAN_SER_MAX_PENDING_CMDS (CONFIG_WLAN_MAX_PENDING_CMDS)

#ifndef CONFIG_WLAN_PDEV_MAX_VDEVS
#define CONFIG_WLAN_PDEV_MAX_VDEVS (CONFIG_WLAN_MAX_VDEVS)
#endif
#define WLAN_PDEV_MAX_VDEVS (CONFIG_WLAN_PDEV_MAX_VDEVS)

#ifndef CONFIG_WLAN_PSOC_MAX_VDEVS
#define CONFIG_WLAN_PSOC_MAX_VDEVS (CONFIG_WLAN_MAX_VDEVS)
#endif
#define WLAN_PSOC_MAX_VDEVS (CONFIG_WLAN_PSOC_MAX_VDEVS)

#ifndef CONFIG_MAX_SCAN_CACHE_SIZE
#define CONFIG_MAX_SCAN_CACHE_SIZE (500)
#endif
#define MAX_SCAN_CACHE_SIZE (CONFIG_MAX_SCAN_CACHE_SIZE)

#ifndef CONFIG_SCAN_MAX_REST_TIME
#define CONFIG_SCAN_MAX_REST_TIME (0)
#endif
#define SCAN_MAX_REST_TIME (CONFIG_SCAN_MAX_REST_TIME)

#ifndef CONFIG_SCAN_MIN_REST_TIME
#define CONFIG_SCAN_MIN_REST_TIME (0)
#endif
#define SCAN_MIN_REST_TIME (CONFIG_SCAN_MIN_REST_TIME)

#ifndef CONFIG_SCAN_BURST_DURATION
#define CONFIG_SCAN_BURST_DURATION (0)
#endif
#define SCAN_BURST_DURATION (CONFIG_SCAN_BURST_DURATION)

#ifndef CONFIG_SCAN_PROBE_SPACING_TIME
#define CONFIG_SCAN_PROBE_SPACING_TIME (0)
#endif
#define SCAN_PROBE_SPACING_TIME (CONFIG_SCAN_PROBE_SPACING_TIME)

#ifndef CONFIG_SCAN_PROBE_DELAY
#define CONFIG_SCAN_PROBE_DELAY (0)
#endif
#define SCAN_PROBE_DELAY (CONFIG_SCAN_PROBE_DELAY)

#ifndef CONFIG_SCAN_MAX_SCAN_TIME
#define CONFIG_SCAN_MAX_SCAN_TIME (30000)
#endif
#define SCAN_MAX_SCAN_TIME (CONFIG_SCAN_MAX_SCAN_TIME)

#ifndef CONFIG_SCAN_NETWORK_IDLE_TIMEOUT
#define CONFIG_SCAN_NETWORK_IDLE_TIMEOUT (0)
#endif
#define SCAN_NETWORK_IDLE_TIMEOUT (CONFIG_SCAN_NETWORK_IDLE_TIMEOUT)

#ifndef CONFIG_HIDDEN_SSID_TIME
#define CONFIG_HIDDEN_SSID_TIME (0xFFFFFFFF)
#endif
#define HIDDEN_SSID_TIME (CONFIG_HIDDEN_SSID_TIME)

#ifndef CONFIG_SCAN_CHAN_STATS_EVENT_ENAB
#define CONFIG_SCAN_CHAN_STATS_EVENT_ENAB (false)
#endif
#define SCAN_CHAN_STATS_EVENT_ENAB (CONFIG_SCAN_CHAN_STATS_EVENT_ENAB)

#ifndef CONFIG_MAX_BCN_PROBE_IN_SCAN_QUEUE
#define CONFIG_MAX_BCN_PROBE_IN_SCAN_QUEUE (150)
#endif
#define MAX_BCN_PROBE_IN_SCAN_QUEUE (CONFIG_MAX_BCN_PROBE_IN_SCAN_QUEUE)

#ifndef CONFIG_RX_DIAG_WQ_MAX_SIZE
#define CONFIG_RX_DIAG_WQ_MAX_SIZE (1000)
#endif
#define RX_DIAG_WQ_MAX_SIZE (CONFIG_RX_DIAG_WQ_MAX_SIZE)

#ifndef CONFIG_MGMT_DESC_POOL_MAX
#define CONFIG_MGMT_DESC_POOL_MAX (64)
#endif
#define MGMT_DESC_POOL_MAX (CONFIG_MGMT_DESC_POOL_MAX)

#ifdef CONFIG_SIR_SAP_MAX_NUM_PEERS
#define SIR_SAP_MAX_NUM_PEERS (CONFIG_SIR_SAP_MAX_NUM_PEERS)
#endif

#ifdef CONFIG_BEACON_TX_OFFLOAD_MAX_VDEV
#define CFG_TGT_DEFAULT_BEACON_TX_OFFLOAD_MAX_VDEV (CONFIG_BEACON_TX_OFFLOAD_MAX_VDEV)
#endif

#ifdef CONFIG_LIMIT_IPA_TX_BUFFER
#define LIMIT_IPA_TX_BUFFER (CONFIG_LIMIT_IPA_TX_BUFFER)
#endif

#ifdef CONFIG_LOCK_STATS_ON
#define QDF_LOCK_STATS (1)
#define QDF_LOCK_STATS_DESTROY_PRINT (0)
#ifndef CONFIG_ARCH_SDXPRAIRIE
#define QDF_LOCK_STATS_BUG_ON (1)
#endif
#ifdef CONFIG_VCPU_TIMESTOLEN
#define VCPU_TIMESTOLEN (1)
#endif
#define QDF_LOCK_STATS_LIST (1)
#define QDF_LOCK_STATS_LIST_SIZE (256)
#endif
#ifdef CONFIG_FW_THERMAL_THROTTLE
#define FW_THERMAL_THROTTLE_SUPPORT (1)
#endif

#ifdef CONFIG_FEATURE_RX_LINKSPEED_ROAM_TRIGGER
#define FEATURE_RX_LINKSPEED_ROAM_TRIGGER (1)
#endif

#ifdef CONFIG_FEATURE_RX_LINKSPEED_ROAM_TRIGGER
#define DP_RATETABLE_SUPPORT (1)
#endif

#ifdef CONFIG_6G_SCAN_CHAN_SORT_ALGO
#define FEATURE_6G_SCAN_CHAN_SORT_ALGO (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_AFC_DCS_SKIP_ACS_RANGE
#define WLAN_FEATURE_AFC_DCS_SKIP_ACS_RANGE (1)
#endif

#ifdef CONFIG_RX_FISA
#define WLAN_SUPPORT_RX_FISA (1)
#endif

#ifdef CONFIG_RX_FISA_HISTORY
#define WLAN_SUPPORT_RX_FISA_HIST (1)
#endif

#ifdef CONFIG_DP_SWLM
#define WLAN_DP_FEATURE_SW_LATENCY_MGR (1)
#endif

#ifdef CONFIG_RX_DEFRAG_DO_NOT_REINJECT
#define RX_DEFRAG_DO_NOT_REINJECT (1)
#endif

#ifdef CONFIG_HANDLE_BC_EAP_TX_FRM
#define HANDLE_BROADCAST_EAPOL_TX_FRAME (1)
#endif

#ifdef CONFIG_HASTINGS_BT_WAR
#define HASTINGS_BT_WAR (1)
#endif

#ifdef CONFIG_HIF_DEBUG
#define HIF_CONFIG_SLUB_DEBUG_ON (1)
#endif

#ifdef CONFIG_HAL_DEBUG
#define HAL_CONFIG_SLUB_DEBUG_ON (1)
#endif

#ifdef CONFIG_FOURTH_CONNECTION
#define FEATURE_FOURTH_CONNECTION (1)
#endif

#ifdef CONFIG_FOURTH_CONNECTION_AUTO
#define FOURTH_CONNECTION_AUTO (1)
#endif

#ifdef CONFIG_WMI_SEND_RECV_QMI
#define WLAN_FEATURE_WMI_SEND_RECV_QMI (1)
#endif

#ifdef CONFIG_WDI3_STATS_UPDATE
#define WDI3_STATS_UPDATE (1)
#endif

#ifdef CONFIG_WDI3_STATS_BW_MONITOR
#define WDI3_STATS_BW_MONITOR (1)
#endif

#ifdef CONFIG_IPA_P2P_SUPPORT
#define IPA_P2P_SUPPORT (1)
#endif

#ifdef CONFIG_WLAN_CUSTOM_DSCP_UP_MAP
#define WLAN_CUSTOM_DSCP_UP_MAP (1)
#endif

#ifdef CONFIG_WLAN_SEND_DSCP_UP_MAP_TO_FW
#define WLAN_SEND_DSCP_UP_MAP_TO_FW (1)
#endif

#ifdef CONFIG_HIF_CPU_PERF_AFFINE_MASK
#define HIF_CPU_PERF_AFFINE_MASK (1)
#endif

#ifdef CONFIG_HIF_CPU_CLEAR_AFFINITY
#define HIF_CPU_CLEAR_AFFINITY (1)
#endif

#ifdef CONFIG_GENERIC_SHADOW_REGISTER_ACCESS_ENABLE
#define GENERIC_SHADOW_REGISTER_ACCESS_ENABLE (1)
#endif

#ifdef CONFIG_IPA_SET_RESET_TX_DB_PA
#define IPA_SET_RESET_TX_DB_PA (1)
#endif

#ifdef CONFIG_DEVICE_FORCE_WAKE_ENABLE
#define DEVICE_FORCE_WAKE_ENABLE (1)
#endif

#ifdef CONFIG_WINDOW_REG_PLD_LOCK_ENABLE
#define WINDOW_REG_PLD_LOCK_ENABLE (1)
#endif

#ifdef CONFIG_DUMP_REO_QUEUE_INFO_IN_DDR
#define DUMP_REO_QUEUE_INFO_IN_DDR (1)
#endif

#ifdef CONFIG_DP_RX_REFILL_CPU_PERF_AFFINE_MASK
#define DP_RX_REFILL_CPU_PERF_AFFINE_MASK (1)
#endif

#ifdef CONFIG_MAX_CLIENTS_ALLOWED
#define WLAN_MAX_CLIENTS_ALLOWED (CONFIG_MAX_CLIENTS_ALLOWED)
#endif

#ifdef CONFIG_WLAN_FEATURE_RX_BUFFER_POOL
#define WLAN_FEATURE_RX_PREALLOC_BUFFER_POOL (1)
#ifdef CONFIG_DP_RX_BUFFER_POOL_SIZE
#define DP_RX_BUFFER_POOL_SIZE (CONFIG_DP_RX_BUFFER_POOL_SIZE)
#endif
#ifdef CONFIG_DP_RX_BUFFER_POOL_ALLOC_THRES
#define DP_RX_BUFFER_POOL_ALLOC_THRES (CONFIG_DP_RX_BUFFER_POOL_ALLOC_THRES)
#endif
#endif
#ifdef CONFIG_DP_FT_LOCK_HISTORY
#define DP_FT_LOCK_HISTORY (1)
#endif

#ifdef CONFIG_INTRA_BSS_FWD_OFFLOAD
#define INTRA_BSS_FWD_OFFLOAD (1)
#endif

#ifdef CONFIG_GET_DRIVER_MODE
#define FEATURE_GET_DRIVER_MODE (1)
#endif

#ifdef CONFIG_FEATURE_IPA_PIPE_CHANGE_WDI1
#define FEATURE_IPA_PIPE_CHANGE_WD (1)
#endif

#ifdef CONFIG_WLAN_BOOTUP_MARKER
#define WLAN_BOOTUP_MARKER (1)
#endif

#ifdef CONFIG_WLAN_PLACEMARKER_PREFIX
#define WLAN_PLACEMARKER_PREFIX (CONFIG_WLAN_PLACEMARKER_PREFIX)
#endif

#ifdef CONFIG_FEATURE_STA_MODE_VOTE_LINK
#define FEATURE_STA_MODE_VOTE_LINK (1)
#endif

#ifdef CONFIG_WLAN_ENABLE_GPIO_WAKEUP
#define WLAN_ENABLE_GPIO_WAKEUP (1)
#endif

#ifdef CONFIG_WLAN_MAC_ADDR_UPDATE_DISABLE
#define WLAN_MAC_ADDR_UPDATE_DISABLE (1)
#endif

#ifdef CONFIG_SMP
#ifdef CONFIG_HIF_DETECTION_LATENCY_ENABLE
#define HIF_DETECTION_LATENCY_ENABLE (1)
#define DETECTION_TIMER_TIMEOUT (4000)
#define DETECTION_LATENCY_THRESHOLD (3900)
#endif
#endif
#ifdef CONFIG_FEATURE_WDS
#define FEATURE_WDS (1)
#endif

#ifdef CONFIG_FEATURE_MEC
#define FEATURE_MEC (1)
#endif

#ifdef CONFIG_FEATURE_MCL_REPEATER
#define FEATURE_MCL_REPEATER (1)
#endif

#ifdef CONFIG_WDS_CONV_TARGET_IF_OPS_ENABLE
#define WDS_CONV_TARGET_IF_OPS_ENABLE (1)
#endif

#ifdef CONFIG_BYPASS_WDS_OL_OPS
#define BYPASS_OL_OPS (1)
#endif

#ifdef CONFIG_IPA_WDI3_TX_TWO_PIPES
#define IPA_WDI3_TX_TWO_PIPES (1)
#endif

#ifdef CONFIG_DP_TX_TRACKING
#define DP_TX_TRACKING (1)
#endif

#ifdef CONFIG_CHIP_VERSION
#define CHIP_VERSION (CONFIG_CHIP_VERSION)
#endif

#ifdef CONFIG_WLAN_FEATURE_MARK_FIRST_WAKEUP_PACKET
#define WLAN_FEATURE_MARK_FIRST_WAKEUP_PACKET (1)
#endif

#ifdef CONFIG_SHUTDOWN_WLAN_IN_SYSTEM_SUSPEND
#define SHUTDOWN_WLAN_IN_SYSTEM_SUSPEND (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_MCC_QUOTA
#define WLAN_FEATURE_MCC_QUOTA (1)
#ifdef CONFIG_WLAN_MCC_MIN_CHANNEL_QUOTA
#define WLAN_MCC_MIN_CHANNEL_QUOTA (CONFIG_WLAN_MCC_MIN_CHANNEL_QUOTA)
#endif
#endif
#ifdef CONFIG_WLAN_FEATURE_PEER_TXQ_FLUSH_CONF
#define WLAN_FEATURE_PEER_TXQ_FLUSH_CONF (1)
#endif

#ifdef CONFIG_DP_HW_TX_DELAY_STATS_ENABLE
#define HW_TX_DELAY_STATS_ENABLE (1)
#endif

#ifdef CONFIG_CNSS_HW_SECURE_DISABLE
#define FEATURE_CNSS_HW_SECURE_DISABLE (1)
#endif

#ifdef CONFIG_FEATURE_COEX
#ifdef CONFIG_WLAN_FEATURE_COEX_DBAM
#define WLAN_FEATURE_DBAM_CONFIG (1)
#endif
#endif

#ifdef CONFIG_WLAN_FEATURE_COAP
#define WLAN_FEATURE_COAP (1)
#endif

#ifdef CONFIG_CNSS2_SSR_DRIVER_DUMP
#define WLAN_FEATURE_SSR_DRIVER_DUMP (1)
#endif

#ifdef CONFIG_WLAN_CTRL_NAME
#define WLAN_CTRL_NAME (CONFIG_WLAN_CTRL_NAME)
#endif

#ifdef CONFIG_ENABLE_CE4_COMP_DISABLE_HTT_HTC_MISC_LIST
#define ENABLE_CE4_COMP_DISABLE_HTT_HTC_MISC_LIST
#endif

#if defined(CONFIG_LITHIUM) || defined(CONFIG_BERYLLIUM)
#ifdef CONFIG_QCOM_TDLS
#define TDLS_WOW_ENABLED (1)
#endif
#endif

#ifdef CONFIG_MORE_TX_DESC
#define TX_TO_NPEERS_INC_TX_DESCS
#endif

#ifdef CONFIG_WLAN_HOST_ARCH_ARM
#define WLAN_HOST_ARCH_ARM (1)
#else
#define WLAN_HOST_ARCH_ARM (0)
#endif

#ifdef CONFIG_PANIC_ON_BUG
#define PANIC_ON_BUG (1)
#endif

#ifdef CONFIG_WLAN_WARN_ON_ASSERT
#define WLAN_WARN_ON_ASSERT (1)
#endif

#ifdef CONFIG_WLAN_DP_LOCAL_PKT_CAPTURE
#define WLAN_FEATURE_LOCAL_PKT_CAPTURE (1)
#endif

#ifdef CONFIG_WIFI_MONITOR_SUPPORT_Y_WLAN_TX_MON_2_0
#define WLAN_PKT_CAPTURE_TX_2_0 (1)
#define WLAN_TX_PKT_CAPTURE_ENH_BE (1)
#define QDF_FRAG_CACHE_SUPPORT (1)
#endif

#ifdef CONFIG_DP_TX_PACKET_INSPECT_FOR_ILP
#define DP_TX_PACKET_INSPECT_FOR_ILP (1)
#endif

#ifdef CONFIG_NUM_SOC_PERF_CLUSTER
#define NUM_SOC_PERF_CLUSTER (CONFIG_NUM_SOC_PERF_CLUSTER)
#endif

#ifdef CONFIG_WLAN_OPEN_SOURCE
#define WLAN_OPEN_SOURCE (1)
#endif

#define MULTI_IF_NAME "kiwi_v2"

#ifdef CONFIG_DP_MULTIPASS_SUPPORT
#define QCA_MULTIPASS_SUPPORT (1)
#define WLAN_REPEATER_NOT_SUPPORTED (1)
#define QCA_SUPPORT_PEER_ISOLATION (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_LL_LT_SAP
#define WLAN_FEATURE_LL_LT_SAP (1)
#endif

#ifdef CONFIG_WLAN_FEATURE_AFFINITY_MGR
#define WLAN_FEATURE_AFFINITY_MGR (1)
#endif

#ifdef CONFIG_WLAN_DP_VDEV_NO_SELF_PEER
#define WLAN_DP_VDEV_NO_SELF_PEER (1)
#endif

#ifdef CONFIG_NL80211_EXT_FEATURE_PUNCT_SUPPORT
#define NL80211_EXT_FEATURE_PUNCT_SUPPORT (1)
#endif

#endif /* CONFIG_TO_FEATURE_H */
